/*
 * This file is part of ReporteRs
 * Copyright (c) 2014, David Gohel All rights reserved.
 * This program is licensed under the GNU GENERAL PUBLIC LICENSE V3.
 * You may obtain a copy of the License at :
 * http://www.gnu.org/licenses/gpl.html
 */

package org.lysis.reporters.docs;

import org.lysis.reporters.html4r.elements.DataTable;
import org.lysis.reporters.html4r.elements.Title;
import org.lysis.reporters.tables.BorderProperties;
import org.lysis.reporters.tables.CellProperties;
import org.lysis.reporters.tables.FlexTable;
import org.lysis.reporters.tables.TableLayoutHTML;
import org.lysis.reporters.texts.ParProperties;
import org.lysis.reporters.texts.TextProperties;


public class exampleHTML {
//	private static Image getImageExample() throws Exception{
//		Image img = new Image("iVBORw0KGgoAAAANSUhEUgAAAlgAAAGQCAYAAAByNR6YAAADHmlDQ1BJQ0MgUHJvZmlsZQAA"
//		+ "eAGFVN9r01AU/tplnbDhizpnEQk+aJFuZFN0Q5y2a1e6zVrqNrchSJumbVyaxiTtfrAH2Ytv"
//		+ "OsV38Qc++QcM2YNve5INxhRh+KyIIkz2IrOemzRNJ1MDufe73/nuOSfn5F6g+XFa0xQvDxRV"
//		+ "U0/FwvzE5BTf8gFeHEMr/GhNi4YWSiZHQA/Tsnnvs/MOHsZsdO5v36v+Y9WalQwR8BwgvpQ1"
//		+ "xCLhWaBpXNR0E+DWie+dMTXCzUxzWKcECR9nOG9jgeGMjSOWZjQ1QJoJwgfFQjpLuEA4mGng"
//		+ "8w3YzoEU5CcmqZIuizyrRVIv5WRFsgz28B9zg/JfsKiU6Zut5xCNbZoZTtF8it4fOX1wjOYA"
//		+ "1cE/Xxi9QbidcFg246M1fkLNJK4RJr3n7nRpmO1lmpdZKRIlHCS8YlSuM2xp5gsDiZrm0+30"
//		+ "UJKwnzS/NDNZ8+PtUJUE6zHF9fZLRvS6vdfbkZMH4zU+pynWf0D+vff1corleZLw67QejdX0"
//		+ "W5I6Vtvb5M2mI8PEd1E/A0hCgo4cZCjgkUIMYZpjxKr4TBYZIkqk0ml0VHmyONY7KJOW7RxH"
//		+ "eMlfDrheFvVbsrj24Pue3SXXjrwVhcW3o9hR7bWB6bqyE5obf3VhpaNu4Te55ZsbbasLCFH+"
//		+ "iuWxSF5lyk+CUdd1NuaQU5f8dQvPMpTuJXYSWAy6rPBe+CpsCk+FF8KXv9TIzt6tEcuAcSw+"
//		+ "q55TzcbsJdJM0utkuL+K9ULGGPmQMUNanb4kTZyKOfLaUAsnBneC6+biXC/XB567zF3h+rkI"
//		+ "rS5yI47CF/VFfCHwvjO+Pl+3b4hhp9u+02TrozFa67vTkbqisXqUj9sn9j2OqhMZsrG+sX5W"
//		+ "CCu0omNqSrN0TwADJW1Ol/MFk+8RhAt8iK4tiY+rYleQTysKb5kMXpcMSa9I2S6wO4/tA7ZT"
//		+ "1l3maV9zOfMqcOkb/cPrLjdVBl4ZwNFzLhegM3XkCbB8XizrFdsfPJ63gJE722OtPW1huos+"
//		+ "VqvbdC5bHgG7D6vVn8+q1d3n5H8LeKP8BqkjCtbCoV8yAAAgAElEQVR4AeydBXhURxeGv+CQ"
//		+ "YMG9uBWnxaU4xd3dtVCsf4GibSktFArF3YuUCl5aoLhrizsBgmvw7P+dpQubzVrCJtlNznme"
//		+ "TXbvnXvvzHvtzMwRLwMFKkpACSgBJaAElIASUAIuIxDNZXvSHSkBJaAElIASUAJKQAkYCaiC"
//		+ "pReCElACSkAJKAEloARcTEAVLBcD1d0pASWgBJSAElACSkAVLL0GlIASUAJKQAkoASXgYgKq"
//		+ "YLkYqO5OCSgBJaAElIASUAKqYOk1oASUgBJQAkpACSgBFxNQBcvFQHV3SkAJKAEloASUgBJQ"
//		+ "BUuvASWgBJSAElACSkAJuJiAKlguBqq7UwJKQAkoASWgBJSAKlh6DSgBJaAElIASUAJKwMUE"
//		+ "VMFyMVDdnRJQAkpACSgBJaAEVMHSa0AJKAEloASUgBJQAi4moAqWi4Hq7pSAElACSkAJKAEl"
//		+ "oAqWXgNKQAkoASWgBJSAEnAxAVWwXAxUd6cElIASUAJKQAkoAVWw9BpQAkpACSgBJaAElICL"
//		+ "CaiC5WKgujsloASUgBJQAkpACaiCpdeAElACSkAJKAEloARcTEAVLBcD1d0pASWgBJSAElAC"
//		+ "SkAVLL0GlIASUAJKQAkoASXgYgKqYLkYqO5OCSgBJaAElIASUAKqYOk1oASUgBJQAkpACSgB"
//		+ "FxNQBcvFQHV3SkAJKAEloASUgBJQBUuvASWgBJSAElACSkAJuJiAKlguBqq7UwJKQAkoASWg"
//		+ "BJSAKlh6DSgBJaAElIASUAJKwMUEVMFyMVDdnRJQAkpACSgBJaAEVMHSa0AJKAEloASUgBJQ"
//		+ "Ai4moAqWi4Hq7pSAElACSkAJKAEloAqWXgNKQAkoASWgBJSAEnAxAVWwXAxUd6cElIASUAJK"
//		+ "QAkoAVWw9BpQAkpACSgBJaAElICLCaiC5WKgujsloASUgBJQAkpACaiCpdeAElACSkAJKAEl"
//		+ "oARcTEAVLBcD1d0pASWgBJSAElACSkAVLL0GlIASUAJKQAkoASXgYgKqYLkYqO5OCSgBJaAE"
//		+ "lIASUAKqYOk1oASUgBJQAkpACSgBFxNQBcvFQHV3SkAJKAEloASUgBJQBUuvASWgBJSAElAC"
//		+ "SkAJuJiAKlguBqq7UwJKQAkoASWgBJSAKlh6DSgBJaAElIASUAJKwMUEVMFyMVDdnRJQAkpA"
//		+ "CSgBJaAEVMHSa0AJKAEloASUgBJQAi4moAqWi4Hq7pSAElACSkAJKAEloAqWXgNKQAkoASWg"
//		+ "BJSAEnAxAVWwXAxUd6cElIASUAJKQAkoAVWw9BpQAkpACSgBJaAElICLCaiC5WKgujsloASU"
//		+ "gBJQAkpACaiCpdeAElACSkAJKAEloARcTEAVLBcD1d0pASWgBJSAElACSkAVLL0GlIASUAJK"
//		+ "QAkoASXgYgKqYLkYqO5OCSgBJaAElIASUAKqYOk1oASUgBJQAkpACSgBFxNQBcvFQHV3SkAJ"
//		+ "KAEloASUgBJQBUuvASWgBJSAElACSkAJuJiAKlguBqq7UwJKQAkoASWgBJRAjKiEYPny5Xj5"
//		+ "8mVUarK2VQkoASWgBJRAlCWQPHlylCtXLkLa72WgRMiRw/mgK1aswJgxY9CqVatwPrIeTgko"
//		+ "ASWgBJSAEogIAj/88AMWLlyI/Pnzh/vho8wIloxctWzZEp06dQp3yHpAJaAElIASUAJKIPwJ"
//		+ "nDp1CoGBgeF/YB5RbbAiBLseVAkoASWgBJSAEojMBFTBisxnV9umBJSAElACSkAJRAiBKDNF"
//		+ "GCF09aBKQAkoASWgBNyIgL+/P5bTJmn3qlW45X8DCRIkwPulS6Eu7ZNz5crlRjX1/KqoguX5"
//		+ "51BboASUgBJQAkrAIYGzZ8+ib716qHzqLAY9eY5U3OI+P3v27EeNKVMwZvp01G7Y0OF+tIBz"
//		+ "BFTBco6TllICSkAJKAEl4LEELl++jCxZsmAjYqKM0fzay9iWuPxbkzbgxR88xYctWyF67Nio"
//		+ "UauWx7bTnSquNljudDa0LkpACSgBJaAEwoDAD0OGYr6XSbkKfoCk8MLWZ4GY+cUQPHnyJHgB"
//		+ "XRJiAqpghRiZbqAElIASUAJKwHMI3L9/Hyf//hsNDK9HrWzVPA2VrFz+NzlluMdWEV0eAgKq"
//		+ "YIUAlhZVAkpACSgBJeBpBPz8/JDu+QtEpwLlSDLfuoWLFy86KqbrnSCgCpYTkLSIElACSkAJ"
//		+ "KAFPJeDl5QVnk8S9ZNlo0VQ1cMW5VoquoKj7UAJKQAkoASXgpgQyZMiAK7Fj4TkcZ8Y7mSyp"
//		+ "0RjeTZviUdVSBcujTpdWVgkoASWgBJRAyAjEixcPH1avhuXR7U8RHkIgrqRLi0KFCoXsAFra"
//		+ "KgFVsKxi0YVKQAkoASWgBCIPgU4DBmBxjqzYQiXKmpzn6NYHeIGB06YiZsyY1oroshAS0DhY"
//		+ "IQSmxZWAElACSkAJeBqBlClTYuHfW1AiXz40fPQEVe49QEoavd+nYrWH04drMqbHHz+MRz6u"
//		+ "V3ENAVWwXMNR96IElIASUAJKwK0J+Pr6Yu/x41j1++9YvnoNbtG70CdRQuQtXx6T6tZF6tSp"
//		+ "3br+nlY5VbA87YxpfZWAElACSkAJhJKAj48PGjdpYvyEche6mZME1AbLSVBaTAkoASWgBJSA"
//		+ "ElACzhJQBctZUlpOCSgBJaAElIASUAJOElAFy0lQWkwJKAEloASUgBJQAs4SUAXLWVJaTgko"
//		+ "ASWgBJSAElACThJQBctJUFpMCSgBJaAElIASUALOElAFy1lSWk4JKAEloASUgBJQAk4SUAXL"
//		+ "SVBaTAkoASWgBJSAElACzhJQBctZUlpOCSgBJaAElIASUAJOElAFy0lQWkwJKAEloASUgBJQ"
//		+ "As4SUAXLWVJaTgkoASWgBJSAElACThJQBctJUFpMCSgBJaAElIASUALOElAFy1lSWk4JKAEl"
//		+ "oASUgBJQAk4SUAXLSVBaTAkoASWgBJSAElACzhJQBctZUlpOCSgBJaAElIASUAJOElAFy0lQ"
//		+ "WkwJKAEloASUgBJQAs4SUAXLWVJaTgkoASWgBJSAElACThJQBctJUFpMCSgBJaAElIASUALO"
//		+ "ElAFy1lSWk4JKAEloASUgBJQAk4SUAXLSVBaTAkoASWgBJSAElACzhJQBctZUlpOCSgBJaAE"
//		+ "lIASUAJOEnB7BevVq1d49uyZk83RYkpACSgBJaAElIASiHgCbqFgXb58GS1btoSPjw8qVqyI"
//		+ "M2fOvCGzbNkytGjR4s1v/aIElIASUAJKQAkoAXcnEMMdKvj9998jVapU2LdvHxYtWoTSpUtj"
//		+ "8+bNyJYtW4iqN2/ePKxYscLqNidOnDDur3PnzlbX60IloASUgBJQAkpACbiKgFsoWGvWrMHB"
//		+ "gwcRN25cDB8+HLly5ULlypWxbdu2ELWzUaNGqF27ttVtPvvsM9y+fdvqOl2oBJSAElACSkAJ"
//		+ "KAFXEnALBUsUKhm9KlWqlLFtjRs3xtWrV1G1alV06tTJ6fbGjh0b8rEmsjxaNLeYEbVWPV2m"
//		+ "BJSAElACSkAJRCICbqFxyLRdgwYN8M0337xB++mnn6JevXro3bv3m2X6RQkoASWgBJSAElAC"
//		+ "nkDALUawKlWqhLNnz+LcuXNBmA0ZMgRlypQxrguyQn8oASWgBJSASwi8ePHCOINwcO9ePPD3"
//		+ "h2/atPigaFHkzZsX0aNHd8kxdCdKICoScAsFS8B7e3sjT548wc5B2bJlIR8VJaAElIAScC0B"
//		+ "McUY2KEDfI4cQzG/a8hoAPyjR8OENCkR/YPCmLR4MWLGjOnag+relEAUIeA2ClYU4a3NVAJK"
//		+ "QAm4BYEHDx4gY4YMmPXKC40MYi3yn8XIK6D5peuYfW0N6pYshYV/bECCBAncos5aCSXgSQT+"
//		+ "u6M8qcpaVyWgBJSAEngXAoGBgRjUpQtGBZqUq+B7a/MiEGUPH8WEr78OvlKXKAEl4JCAKlgO"
//		+ "EWkBJRCUwMuXL+Hn54fr16/DYOCciooS8DACFy5cgP/2negRaP8V0PnZS+xcvgIy2qWiBJRA"
//		+ "yAjoFGHIeGnpKEzg2rVrmDF2LHatWo3Ez57jOZWrZ/F9UKF5M7Tr3h3x4sWLwnS06Z5E4Pjx"
//		+ "4yh037HSFBteyPH0GU6ePIkPPvjAk5qodVUCEU5AFawIPwVaAU8gcPPmTTQtUxZtL1xGzxev"
//		+ "4M0Xj8htGDBuyHBkGz0a/9ATNmHChJ7QHK1jFCfw5MkTeD9/7hSFeByxlfIqSkAJhIyA/fHh"
//		+ "kO1LSyuBSEngzp07yEJj4M6nz6EJ7VJMypU0NgkVrRFPX6Lb3Qf4pHETPHfypRUpQWmjPIZA"
//		+ "smTJ4JfQOcP1K3HiIHny5B7TNq2oEnAXAqpgucuZ0Hq4LYGlCxZgsFcM1IPtmED9aMuScv9B"
//		+ "bNy40W3boRVTAiYChQoVwtHEiXCHI7D25DQC8Th1KmTNmtVeMV2nBJSAFQKqYFmBoouUgDmB"
//		+ "7StXolbAM/NFVr9Xvnkb23791eo6XagE3ImAj48P6n7SE5/7JsBLG0rWQy7PhRdoM3iQBhx1"
//		+ "p5OndfEYAqpgecyp0opGFIGb9BZM48TB03C60P/8BSdKahElEPEE2nTsiPc6tEOlBHHxL0eq"
//		+ "zGUff7dLlQxL5sxBlSpVzFfpdyWgBJwkoEbuToLSYlGXgHc8bzxm82M5QPCIPf549CpUUQKe"
//		+ "QmDQqFHIX7Ikxo7/AffPn0eCQAPuRvNCqty50btvH5QqVcpTmqL1VAJuR0AVLLc7JfYrJN5s"
//		+ "q3//HUc2/omHd+/AN3VqFKlWzdjL1DAB9tmFdm3OIkWw/8ARVPjPc9DWfg7EioHcZcvaWq3L"
//		+ "lYBbEqhevTqq8Rly79493L9/H76+vhq53S3PlFbK0wioguVBZ2znzp0Y1bETKpy/iMaPnyAR"
//		+ "X/jXOGqyYeVvGJE4ATbt349EiRJ5UIs8o6q12rTG94x9VfryNY5ivQ7PYFnzWzwPExIlwKra"
//		+ "tS1X6W8l4PYEvLy8kDhxYuPH7SurFVQCHkJAFSwPOVGnTp1C8eLFcQgxkduYM+y1+VwmvvBL"
//		+ "3H2Ij+7eR2PmDZuz8Q+kTJnSQ1rlGdWUAItFunZG629GY+q9x4hvoWRdpnLVOWlCjJk3F+nS"
//		+ "pfOMRrl5LV+8eIG///4b29eswU1GHfdOmIijg2VQ9eOPkTRpUjevvVZPCSgBJQCoguUBV4Gk"
//		+ "ZhnWvgM2v1Gugle6LJWuKydOYzLzhg0bPz54AV3yTgQ++ewzJGHsoBajvkEZ/1vI/PAh/auA"
//		+ "43R1P5I2NT756ktUqFz5nY6hG78mIGlZPm3eAgn37UeFazeQmosl5vi+pStQ1XcQptFTs0CB"
//		+ "AopLCSgBCwKXL1/GhtWrcXr3bgS+eoV0efKgHDsluWlTpxL+BFTBCn/mIT7ikSNHkODceZQw"
//		+ "Zbu3sYeGrwxosHoNHn35JcQNW8W1BJq3a4fKNWti69atuHTiBKLHiIGiefPiU44sJkjgXNBG"
//		+ "19Yo8u1NIobnyZIVnW/fhcQWg9k1X+zxU9Tk1Hi7qh9j5PJlKEnjbBUloAReE5jx449Y+/04"
//		+ "VL7sh2rPX7I7DpyNvhSfjRuPQo0bYeiYMYoqnAmoghXOwENzuDNnziDXrTsONxX7oPeYI+88"
//		+ "vYHysOei4noCEgG7bt26rt+x7tFIYDJfAg0fPPpPuQoOJQOv8fH+tzHi009RaMsWxI0bN3gh"
//		+ "XaIEohiB1cuXY8OgLzDr3qP/Mk28NiEp/Aqof/Um+k+dgUHMMjFywoQoRiZim/v6LERsHfTo"
//		+ "DgjIFGFsDvc6I5KcVcqrKAFPI/CK1/imxUvw2TP716/YIGa+dAX79u3ztCZqfZWAywmcPn0a"
//		+ "I7p1x8w3ylXQQ0TnO2HM42e4sWIlNm3aFHSl/gpTAqpghSle1+w8bdq0OJvU1+HODDS2Ps9Q"
//		+ "AWpo7RCVFnBDAlevXkXigCdIyBeCI3nf/yZO/vuvo2K6XglEegLraZPY9fY9xHVw3zSlPeMa"
//		+ "Bo5VCT8CqmCFH+tQH0m82E6mSIarVKDsySpGX07LsuplZY+SrnNXAs+ePXMYzNVUdwn6+oLl"
//		+ "VZRAVCdwcscO5HkVNBK/NSZ5qICdPnzY2ipdFkYEVMEKI7Cu3K3YmbQdOhTl48bAbRtK1n4q"
//		+ "V3WZVazniOGuPLTuSwmEG4FUqVLBP2YMemfa70hIhc4z3lvqDBnCrW56ICUQngTEzOPo0aPG"
//		+ "5PHbt2/HnTu2bXBf0rYqthOVk07J8+fi+6wSXgRUwQov0u94nJoMYPn1jOn40DsW1ngF4i5f"
//		+ "QoH8SKDRRbGiY1Tu7Pjnn3806/07ctbNI46At7c3cpUpg/UOnkoPeM3vSJ5E07hE3KnSI4ch"
//		+ "gVXM1NGoeAlMqlELu5q2wOoGjdDmwyIY1KMHAgICgh05VfbsuBhsafAFF3nfpNFOSXAwYbhE"
//		+ "vQjDEK6rd12/aVNke/99rJg1C3MYKuDhw0dInMTXmCpnQuvWEFstFSXgyQQ6/e8zNF+3Dgmv"
//		+ "XEcpsxANpjbJ6FYSPMe8fn2NKV1My/W/EogMBOZNm4bp/Qdgzv0AiMesSV7xuh85ZTremzcP"
//		+ "J+glLumMTFK2Vi0sWbIUFektaE8WxfdG6UYN7RXRdS4moAqWi4GG9e7yMu5S3nHjwvowun8l"
//		+ "ECEEMmXKhAVbNiN71qyYzDhj1Z6/QjK+aJ7wBbOPnzlpU+G7ju3Ron37CKmfHlQJhBUByVzQ"
//		+ "q3t3nHvhBR8z5UqOJ56AQ+hcm/zRU/yPQacnLVuK6NGjG6tSokQJrChXFq2pZM15+VYpM678"
//		+ "788Ir1eYy5mOM40amS/W72FMwMFgfBgfXXevBJSAErAgIErWhUuXcOd//dG9cF5Uy5wOjXNl"
//		+ "weqWTdFh8UL0GTzYYgv9qQQ8n8Ci77/HappIWSpX5i3rEuiFaMxwYB6iRBStb2fOhH+hAmiT"
//		+ "IC6O0nhERryMXuX8+338eDhduiROMuWUxo0zpxn233UEK+wZ6xGUgBIIIYE0adKg/9ChgHxU"
//		+ "lEAkJ/Do0SNcPnoMhS1Grqw1u5TfNezbuRNFihR5szpWrFhYR2P4X37+GVNmz8GZkycRnYNZ"
//		+ "yXkflWvSBNOaN9fsHm9ohd8XVbDCj7UeSQkoASWgBJRAMAL37t2DWFV5OaFgJQ804NyVK8H2"
//		+ "ISNZ9Ro0MH6CrQzFgg0bNmDV9Bk4c+wYXjL5epIUKVCqfj00ob1v4sSJQ7HHqLeJKlhR75xr"
//		+ "i5WAElACSsCNCCRi2JG7BsfhSaTKtzgylZAhTcJSPu/WDfcY+b05E9vnp9InioLf2Uv46dAR"
//		+ "pOzfH9f8/YMY2odlXTx532qD5clnT+uuBJSAElACHk/Ax8cHKXPkwCHaTzmSbalTolCxYo6K"
//		+ "hXp9v65d8XzuAvzgfwcf0pNXctxG4ycdP30DnmMCje07Va2K27dvh/oYUWVDVbCiypl2s3be"
//		+ "v38fN27cgOSfU1ECYUFArjH5qCgBTyDQqNcnmJwmJZ7RMN2WrIpmwM3sWSHZPcJCTtJ26+Tv"
//		+ "qzDy8VObu29Ln8aKR//FgunTbZbRFa8JqIKlV0K4EXjOiMOzeVM2LlYcLQsURHf+r5knL4b1"
//		+ "6QPJQ6eiBN6VwIMHDzCZ3lh1CxVCC15jrfipzc/Eb7+FGBKrKAF3JVCxYkUU7tUTORhy/YYV"
//		+ "JWtBdAN+yJ4ZM5l7MGbMmGHSjL8Yg67e9ZucErQe7sF00JpPnmPzsmWmn/rfBgG1wbIBRhe7"
//		+ "loCMVHWlAWaaLdvw1f1HSP/fDfyYD5Jlpychzdix2LNnjzFYagoaU0aLprq/a89A5N/bkydP"
//		+ "0KZKVZQ6fAwTAp4ixX/X2E1cweSTw5Fp5Jc4dfECxN5FRQm4I4EufRlAN3VqdPlmNLLcuYs0"
//		+ "Dx4hgOmjDjFIaPoypbFo1Kgw9Qa8wmwgFV/KrIL9529S3lvP7t5zR4RuVSdVsNzqdETOygQG"
//		+ "BqJpjRr44K8t6PVMbt63vaOH/OX38gVKc9nnJUohYcqUeJ4wAco3bYL2PXtC0qeoKAFHBJ4+"
//		+ "fYoCTBlS78o1dDdIAMa315gEKv3iyQskZpmudepg5po1Gg/IEVBdH2EEGjFjR626dXGYiZn9"
//		+ "aUweJ04ctMmdG6mpeHl5vb2uw6KCceLGY0Zb58SZnKHO7SnylrKvpkbedmvLwpHA3r17Eevw"
//		+ "0f+Uq7cHvsnRq+ZM7ZuRL8DfERNrGWRvyeXrmHHsJG4NG4nMTP2jNjRveek32wRWrVqFGo8C"
//		+ "MMyoXFkv14PrcnF069dffrFeQJcqATchIEqVxLmqWbMmKlWqBIkLF9bKlTQ9S5EPcTReXIcU"
//		+ "TtIYP03GTA7LRfUCqmBF9SsgHNq/jfFUal3zD3KkO1SucjGnXCcaTDblJ57ZiIMvvw/hSFef"
//		+ "B4/Ro2FDZoB/HmRb/aEELAns+Hkl6t59YLk42O8qd+9j+4oVwZbrAiWgBIBy5ctjE9NRSefX"
//		+ "nnzF6PBV2raxV0TXkYAqWG58GYjh99gvv0STEiVRMRunPwp/gKG9e+Po0aNuXOvgVfM/fRpp"
//		+ "Le7XFewBfUbFqgE/tqR3YDSkO3AY69evt1VElysBI4FrF86/seuzh0Rcza9fvGSviK5TAlGW"
//		+ "gNi/thg6BO19E+CuDSWrPe3rb+bOiQaNG0dZTs42XG2wnCUVzuVOnDiBAfXro/bp8xj1/CVS"
//		+ "8vhiUribCkfNGTMxespkNGjWLJxrFbrDxWGMlwCLTXdSwRpoDF9nscLiZ6Vbd7Dut99RgzZc"
//		+ "KpGHgIxKXmButBeMEC3TH+9qeB43nnewa8warSdcGDdePGurdJkSUAIk0ICpdWSKsm3/Afj4"
//		+ "sh/yPXuBOFx+iQrX2rSp4VuhHKZNnfom2bRCs01AFSzbbCJszblz55AzZ05sp12SBHozGewm"
//		+ "4bePDV4o+ugZinXogNg0AK9Zu3aE1dPZA+csWRIH5y1CabPYKje4cVondkDLA/hzdEIlchC4"
//		+ "c+cOpo4Zg23LVyDNs2eIzZHNSzGj4z3am3QbMgTZsmULVUNzlCiOg3SiyMj7w54cpGKfrejb"
//		+ "HG72yuo6JRBVCdSgM0jBDz/EBjqE/LptO549CUAqOpG0/vhjo22Yenk7d2WoguUcp3AtNW7Q"
//		+ "ICzn6M5r5Sr4ocVG6a8nr/DJkKGoWLmy23tEVWB8l3bp06Dm8TNGg3ZpkQ8/YjGTTH7YkUfs"
//		+ "NcXziW+nhK7yFAIBAQFozeu1ypF/sZijsia7u0DpGZ+9iOyLFuEY857lpsdUSKV6o0YYMm8+"
//		+ "qlzwe7Nfy3084XFGcOpjjoeM/FrWX38rgfAkICPLbdiRh3xUQkVAbbBChS3sNpL0A5d370EN"
//		+ "B+ZxMrKT48ZNY+yosKuNa/acLFkydBs7Bu2TJjQOM8tec7L+B/jCcyQHGAMmF+O/qHg2AZkS"
//		+ "rFqcAWYPHEHH56+CKEGShqMabfF2c8R2YIOGuHjxYogbmytXLlT8tDdaJfLhVHrw6+ohl+Wm"
//		+ "7UjHwYORN2/eEO9fN1ACSkAJhJSAKlghJRbG5f38/JCevXt56TiSzLRPumIlq7qj7SJifeUq"
//		+ "VTBmzWp0yZEZXyWOD8nFPgOvIKMKtuQ21/2QOAGqcbhaxbMJbNq0CQXpSVo70PZ1XZBXfaMz"
//		+ "57Fo2rRQNbZjjx5oMmE82md9Dz94x8Y6Xl/rOSU4MV5stOWy4RMnoHOvXqHat26kBJSAEggp"
//		+ "AbeYIhxDmwwxdrUlOZgEs7YTtkY///wz1q5da3U3O3fuRPLkya2uc6eF0aNHx3Pb76AgVX3O"
//		+ "aOfxWd5TpDDzZy3dtRNbt27Fyf374bVpM5rt3YdZTCCayEKh9KNy1YkjXqPnzEaGDBk8pYla"
//		+ "TxsEdtMTtMoNSQ5rv09X/sUrdGK6DtB7NjTSsHlzlOGU9JbNm3Hs0CHjVZU+Tx5MLlcOKRnE"
//		+ "VkUJKAElEF4E3ELBEm+iiRMnolWrVlYjd8sUkzNSpkwZm8P/X/KBLXnK3F3ee+89XI4dixGi"
//		+ "DMYs5vbqeyJZErTKksVeEbdblzBhQlSvXt346UOj5iXz5qE1U5iU8r+JLA8eMuwocNw3MY6k"
//		+ "SYUeX45EJWZtV/F8Ajc57edM90bsCx/fe7cEzeJq3pA2WZCPihKIxARkYELen2LfKNe9diLc"
//		+ "62S7hYI1YcIESDoV+fz444+hJpQkSRLIx5qIG7ik03B3kdQwhap9jOUTp6CpZJWxIbs49XE7"
//		+ "43vInz+/jRKesbhxy5aoQM+Ubdu24RJDU0SLEQPFOeLQl/Y68eNHXuN2sUla9dtvWDd7Ns6f"
//		+ "Om0caUmbMSMqtmyBegyuGisWM75GIvFJ7Gt0anDUJJkyjkUXcRUloARsE5Dnx3QOSqydNRsp"
//		+ "HwfAh+/Oq3x2emfNjLYDB6JUqVK2N9Y14UbALRQsae0333yDTp06GTPe+zBuUlSWLp99htYb"
//		+ "/0Sqf07iIytTKsepXJXiWM+JGdMRgzdVaEVS2CyeMBH/7NqFeLxBAzjlmLtoUTTt2QOFCxcO"
//		+ "7W5DvF3SpEmdmgIO8Y7ddAPpdfZkrJlkW7aiy+17yE71SibOzp65gMm79uBrjuztpjdd3LiO"
//		+ "U1a4aRODVev9smWwb+lylHj4JNg68wV7qGDlpHu4ihJQAtYJGAwGdKBdavq/t2P2oye0Z31r"
//		+ "U7L/3EUU5XT878uXo3q9etZ3oEvDjUDo384urqIoVQsXLnTxXj1zdzLMu2TbVpQtWAjV7z1A"
//		+ "Jab3SMmb6D5fPrvjxcHGjBmwlYFGszMuSWjl16VLsYiB5Dpe9MNX3HcMfl5y/9sZ2LTyTz9h"
//		+ "Gm2f6lEJcGeRB40kQ/2HGeBldFJs7MRDLHbs2G5b7VevXqEK44JVO3gUPV8Esp5vbZJE0RpH"
//		+ "BaTf48vo1qABptCmMLKMZFXhVG/7TBlQ7vC/yGPWZvMT9ZTXXxef2JjXqaP5Yv0eBQjIfbGZ"
//		+ "dnN/LVsOv1Mned3HRtYPP0AV3gd5OKKt8pbA5927Iwtjvv3vqaRlfqtcSYlCvLeu07ikTY+e"
//		+ "8E2VCsU5E6AScQTcRsGKOATueWSZ0txx7JkznCUAACAASURBVCjW0eB3zeo1uE3vQp/EiZCX"
//		+ "uaKm16oFZ+3SrLVOHAFq0z7Fnzeir9nLTpSsMvwcf25A1c5d4J04MarQ+88d5ebNm/j284E4"
//		+ "xZG+Ahwi937xEhvje2MEGTX/32do6KZpHMSbLv25C/8pV9bJfssUQUN37cWq339H3UjSC5Wp"
//		+ "+wFTpqBgsWLYxHAMJc2uO6EguSkrxI2BPiNGoChHUVWiDgGZ7upNU4GYHNGtcf0m3uMzSGwx"
//		+ "j63fiM6Tp6B2927ox1FdFeA0045dWLsOc58KoaDKlYlPEi4ffO0m5owejeKa2NyEJUL+q4IV"
//		+ "IdidO2g8pvSoW7eu8ePcFo5LvXz5EjOHDsNxo3Jl/QYVQ+PFD57g8yEMZEqPLPFsdCd58uQJ"
//		+ "mpYrjwbHT+Erczu1ew/hf/ka0nLk7S7zOHb69FN3qraxLpvYQ29+6y6/vx25slbJmrfvYsGS"
//		+ "nyKNgiVtFMVJXhADW7XGzxcu4n3GcYv9KhDnkvjiAB02BvTvh2atW1vDocsiKQF5HlUsWgwZ"
//		+ "jxzDjFfyPHp7X2RhbLTqt+6j49hx+IF2eT0HDIikFJxv1i6ac5S56k9K1p/dpj0V5vpRx/7B"
//		+ "3bt3kZgdZZWIIaAKVsRwj7Cj/vvvv0h+3R9ZHNygmbg++X/Tb+4UmFEeyB2odHb49yTqWomp"
//		+ "lIL1fkTlscO3Y5CJUwuiILqTXDl58k00e3v1ysh2+DFlUmSTLPR6nb/pLxxiCIUzZ87gKZXl"
//		+ "EunSoQ+VrwQJEkS25mp7HBD4jSMsmc+ewzSjchW8sIyqT3kQgFZTp6E6pwszZcoUvFAkWCIm"
//		+ "DteuXTO2RCKo2zINEG/cTEwxBSqf9sRLnt+0q5WRflWw7JEK23WqYIUtX7fb+1WO7KR/9Nip"
//		+ "eqV/+BhS3p0UrP2MnxX/2L9WlStTo2Lz4dKXUw0/fv+92ylYYh/23FRRO//lERorFkOPR0KR"
//		+ "l8eHNGSXj0rUJrB+9hz0eCDPo7cjV5ZEYvF+rnbJD+t+/RVde/e2XO3Rv0WpmkIHr/2c9kvB"
//		+ "qdKXtCu9zdG6EnVqo3P//sGUIx86BN334uiV7fjMb3g8YDnttLzBESFfbF/VEVIdPWhYE5As"
//		+ "6U+cnPKTclLelojytW/fPhw9ehSPHzuntNnal7PLD9LzsaTf656evW3y8oF9i+EP7t9/t5hK"
//		+ "9o4RmnVZaLj7D71AHckxPkGzFCjgqJiuVwIeTeDcqVNGL1pHjcjGqeTz7FxFJhEHnbrFSyAr"
//		+ "Q/IsOXUeUy9cxcyL17Do5DnEHDMOKRj/8caNG0GanJdhefYyRqAjucDnhyF5Mo8Iru2oLZ68"
//		+ "XhUsTz57oai7RMX/xzueU1v+4xMPUt5SZBSpffUa+KRkafxUux6mVauBRgUKYiRtJMJa0bpH"
//		+ "pS6JE703qXNilrt3755l9SP0d1XGuFrGxNfisWlL+GjEN0wRVJVRyVWUQKQmwBEb+5Ndr1sv"
//		+ "Uy2GQNv3jKcxkudSPnqBf3LhMhrTjjQOR+lMIknQe70wGKdNe9DJ5dGjR6ZVxvA5D3LlwO9M"
//		+ "A2VP2sSLiVpduyIaQ++oRBwBpR9x7CPkyBLtN12pEvjJy/4oyqRogUjPYHVS3lx2MM1N5ypV"
//		+ "0Xr1eiw+fwVf+/nj+8vX8dPpC3j+/Q/ImDo17ty5Y76JS78n4v5vRXv7MLK38zss5m72B+Jy"
//		+ "/kG7tuicIK4xWr9l/UXx+ihWNNTp1VNdrC3h6O9IRyBdxow4baezYWrwGd7zafO8b/rp8f9X"
//		+ "MBROb0ZZqG9HvWzOdXmPHTd6E5saLHEPh0+dirrsos3yCq5kPSPLQQniIWeN6mjWooVpM/0f"
//		+ "QQRUwYog8BF1WC/Oy/f9+mvMzJqJ7vLWlawV7B31MrzEF+PHQcqb5AQjrZf76CMsoGdPUQub"
//		+ "CbF7+oK9rkEMfNeHN7a93JKm/YXmf0Ha7WxzYoj8INuWImcOt7RB6PPFF8jTry9qpU6GRey+"
//		+ "72VdD/CzNJoBbTKkRrW+n6LH4MGhwaPbKAGPIlCBmQtWJrLv3CCdjvkpkqISw9NEFtlFe7Jq"
//		+ "DC/jSCowDuJOljWX9957z+gduLtaFXRKlwIzYkXHT3xmj0nkg6aZ0yNp396YsmiR+Sb6PYII"
//		+ "qJF7BIGPyMOKl8rPu3ehQbnyWO93FWVv3GI8LC9jLKJtKZLjcu4cuMwcgRKLy1wWMo3RYkN0"
//		+ "ZGZZW9KVMZz6HTxsTOhcrlw5W8VCvbxQoUKYWbgQpvmtQkcrXoSyY0m3Uj0WQ024sUFsn0GD"
//		+ "UIuxujYwXc4KsS3hVEn6fPkwuEYN5MqVK9R8dEMl4EkE6tSvjy4MMP3pH39ibKD1ycK+PnFQ"
//		+ "uk3rSHVf3KRxeyo7z1HTOUzDMreu+Jl+vvkvz+Zp9MA8xowPEmj5EfPs5uTofit2QDUf4RtM"
//		+ "Ef5FFawIPwURUwG5QVft3IG///4b+xj88v7165Dpt3KlS0OSZluLhr7/r7/Q3/qgV5BGlLvm"
//		+ "jz0sW7ZsWaMr/pEjR4x2BBJs8oMPPninB4DE5PqaKYJybcqM6w8DMIij5OYxYfyoXLVKGA8j"
//		+ "hw1FWCh4QRr6jj8kZEEWN4zV9Y7N0s1DQEDSVW1YtgwXDh8xjhan5zRYZdrpyX0SFUTSQU2h"
//		+ "ovBB7tz49M59tOCIjQQaFU/bf3gvL0mdAukbNcD/vvwyUuHw9vZhOBkgoYNWPSSDePGtp46T"
//		+ "Z2E+dsrko+KeBFTBcs/zEi61EiVK4kQ5GysqOuOvxHWi15WcZdbRg693q1a4sXU7ijJoZkJm"
//		+ "e/8nYULMTJIIjTg91qRj6NOh+Pr64jyN3Uf264f6a9Yi35OniMtI7ldpvO+XNAl6MpJ7XfaM"
//		+ "VZSAuxKQxPbD+/TBxeUrUOfKNdThPSPjwmcYvXzY3HnI06A+vmIyX/Mpendty7vWSzyV9x8/"
//		+ "jt85mjuPwXUl/puEKMlKx5l2zZuhRIkS73oIt9v+/TKlsW/nHqRx0GHdGyM68tAsQ8UzCXgx"
//		+ "n1vkcc2wcw56c7roOkdpFi9ebKdU5F915coVY/4+iRKfOXNmmwHtrJGoQq+XlacuMNGJ7SlC"
//		+ "2W4t7QFa0FB7FIMHtucIk7k8Z4+sNMM7ZatYAfP5QH3XKPESSO8kg3eK96IMjcv0WsyYPICK"
//		+ "EnBjAt2YGmbX4p+wi4bOr1Wrt5UVL9LP4sVG3LatMHLChLcr9FukISABn7+gJ/ZkOgqZJ2s2"
//		+ "b6CkjyqbJD5Wc5QzY8aM5qv0ewgI9GFHplmzZihYsGAItnJNUTVydw1Ht9+LTAW2rlQZfcuU"
//		+ "xWKGVhhftRrqsYe4bO7cYAbpkhtMlJaDBw++iS4sDcxRqDD28Ka3J4FcP5ZGlz1o8G6pXMl2"
//		+ "EjRw1wsvpNi2A6tXrrS3K6fWSU7GkkyeXLlyZeNQuSpXTmHTQhFIQNKdXGRgyd0vRbUK3lmR"
//		+ "Zd8EPIf/z79AyqpEPgLSEaw1aCCSczL0qpVn6iUua5k0EcbNn6/KlQeffp0i9OCT52zVV61Y"
//		+ "ge+YvHnsrXuQAJwmkfn9vp274jtGEt78XxC/aewxb+QURSp6uPgw7syVmNHhnTUL2tEou37X"
//		+ "Lpi+bRs+YFgGUZSsyW/0hotOQ/chhrfHsVbuM6a/6DhiJKrSM0iVImuEdFlkJbCOHl7deC/a"
//		+ "i14uba/HnHNraQDu6cmvd+/ejZUzZuJf/pc8oolpi1msZg00adv2newxPf36aMH2p6LDUY8+"
//		+ "fZH/+g1kvX2HwReY0Jl5OU+kSY1PRo5ApapVPb2ZUbr+qmBF8tMvPeBazOF1zRCTnoJBlZ74"
//		+ "VJKmPn2FQWcvYFD37rjKPFfZd+3F3MdPkcBMgdp/7hKKrl+PNTRGLdnnU3j36oVrVLGSmpUR"
//		+ "jBL2YTBtrDoHMNHLS/sJYSTje4oHD3GO9hbZOfWoogSiCoGzhw6jpcW9Y63t2VlmAXM2erJM"
//		+ "/PZb7Jr4I1pfuooBbI83G3P9zEWsPnQEmYYOxQnmo0yfPr0nN/Gd6l6BI+9FihfHzp07cfHs"
//		+ "WXgxMGj5rFkxqFgxiAOAimcTsKlgyTSRTBGJC6i8BMXjSVzkc+bMCQl2puIZBObyAbfZEMMY"
//		+ "hsFWjYc/f4liPy1F4xeB6P1cjKaCjk4VomJ2lQpVx27dMfjnFVjIacWOo79F3lu3kf7OPTzj"
//		+ "9XAkqS9eMO5Us1IlkfiL4dxHUGXO2rETv3qFhw8fWluly5RA5CVg4CivE62TMp4cvXwJp7d6"
//		+ "MJ/eQz474pg9D1KzXR2evUJW/m9cshQWbtnscdNg4qRwiml+/Pz8jB7XWakUWQZlduIUG4vE"
//		+ "jx8flSpVcra4lvMgAsE0JbF5X7JkCb5gMESxb5Hs5XLhrFmzBmPHjjXmRupH760ePXqEyEDa"
//		+ "g5hEmqqK8nKZ7t9FLRQmywae4IJ0nBLsBbkcgipXprLJuLw/o7bPGT0ak5YvRy2mcJChf0lW"
//		+ "moReQGWzZTMamK9evRrH6S2Ie44Vp2tUzCR0Q1QR6bRc5CihTJMkT548Sk+PRJVzbq2d6XLk"
//		+ "xJltuyExjuzJGU7hp2eH1hPl7t27WPTlV7hpVK6st7Msla6+ftcxbdQ3+HrqFI9p5lZms5hM"
//		+ "k4l4ly4jw6PHeB4tOr6PF5eZL0pgIN+RSZmQWUUJCIEgCtbTp09Rjy9OcduXIUtrF4rcOJMm"
//		+ "TTLGGFq6dClSM3aSinsSuH37NpJRYbZmSGte4918kFczlrL+IDSVLcIy31JhE8VNel3W4kxJ"
//		+ "/J6ZvgnR894Du96GZ3nMZ6lSRonpAVGopv3wA/6YNx+pAp7Am71fPyqXCTni156Grp5uY2O6"
//		+ "PvS/cwTKN26EX1atRpnrt+1uMJ3T7e2bNLZbxl1X7tixA0UYwDiRAyWyCsMUzGLMPMm35+Nj"
//		+ "Pd6TO7XxT5pK9GrYCPNpQ/q+2aic1HHGxcVIxlE76URFtWlP6WjLR7zTZVAmVqxY7nTaIqwu"
//		+ "QRQsmfqT0St5eYq8fPnS+DI1z+cm3wcOHIhPGSBRhklV3JeAPLAemqW6sVXT21R2zI3fbZWT"
//		+ "gJ6+zGovuQZN14hl2VSpUuHDRg3Re9wPmPhETDaDy1Me74Por7BgQP93DtMQfO/uteQVp0Hb"
//		+ "SnT2nXsxLyCobduucxdRbPUq/MWH9kc6ReBeJy4MavOMceQksOgZeuieTp0S9W7cxAo6hFiT"
//		+ "2tEDESNfHnzkoTGQLtGeKNNdMeS3PxkqzjIp+Z7x9/d3ewVLzGXq0ynn8DMDUlsoV3IO2zPL"
//		+ "hWRu7ceQALPWrYO3t1icRW4RRXoGnZUecbo0LWMRBkSPhiu0HSvfojm69+0b5R2YgtzdomBJ"
//		+ "8MnPP/8c6dKlM2qhEtRRLpT3338fs2fPfnO1iAFeVLiA3jTYA7/I9FtseqnIVIM98eFD7p6D"
//		+ "MqbtH3CQy1FPc8Dw4bhRrAhqxoluTL9j2lb+n+NxmvgmwHQmLK1Zs6b5KoffJQP9li1b8Ctz"
//		+ "c0nYifv37zvcJiILSAekW/Pm+HDrTvyPhv/mjgNSL8nneJFTKGPbdzDaO0ZUXcUs4MaNG0ab"
//		+ "klu3bjFrj/3rJaLq6cnHPURj9VYVKmBlw8aI2+0TtD1wGJe9DKgd7RV20jmE1CEdHfneN3li"
//		+ "ZG7cEMupeEej0bMnSmy+H144WXEp5wmexEumTMFchp9JbWdUrgYVyhzHT2Hjxo1Ott5zi637"
//		+ "/Xd8VrsOuqzbiEXnrmA0vcsnXriKecfP4NiwkSieJ6/RHMJzW/juNQ8ygiW7E9sqCcgptjQy"
//		+ "1CdK1APmOZLAaL3oPSbTiF26dHn3I+sewpyARIGu070bxv17HBOZoNmWvOCDfR0jJzd8bv/F"
//		+ "KopavHRpIUq3PRFFffkff2AqI1G3mz4dqR8+RkKO5NzgMQJoz9eeI1e1QpC4VWyXxjFB9d8L"
//		+ "FyE/bR58ORJ0J14cjGYKidYDP0c9Jpd2x4jXR48exaPtO9GdTgS2bNvkYd378jXMom3bhAgI"
//		+ "givK6rJx4/Ds8hX4MizHTV4zPhnfQzNG25fYYirvTuDSpUvoVq06Rl29gWLGkY/Xozq1Xxmw"
//		+ "hgrV53wKv0iUEGnpTZc+R3ZUZRDSClTG3jUI77vXPPR7yEybzNXJaYt0467dnTzgM+UWlTHJ"
//		+ "j+rucoidu0+dmLQpzcwVW6hgheQZ5+5tt6yfjMRWZQf5CjuIKSxG86QjOZVODF+cu4CBXbvh"
//		+ "u5kzPLajYNnuEP9mbzWIMFO3gXOpQZaZftAuy0BvB9NPj/pP5dDQuHFjj6qzqyo7oHNng49X"
//		+ "NMN9xDK8QOwgnxVeMQ3F3stoaFS6jOFXxAiyzrLsB/G8DcuWLg1RtagcGaicG/bs2WM4e/as"
//		+ "gdPOIdqeo0CGGqVLG3rHi2+gN1KQ+j3g7zKx4hjqV6xoePHiRYj2Gx6Fp0ycaJgTI06QOlsy"
//		+ "ld9P2Y6qWbIaAgICwqNab44xadQoQ/NkKQzHEDNIHQ/yd7KYsQyTvv32TVn9EjoCtC0yVMyT"
//		+ "x7DfgrHlddAteUrDypUrQ3cQN9xKruW6hQobjjho9/9ixTV8O2xYmLeAI7OGH8eONTQpWcpQ"
//		+ "gfdajffzGPq2bGXgiLjTx66UKXOQ+8TyHJp+y/3To159p/friQW7NWxo+MvBuX3O51qrDBkN"
//		+ "hw8fjtAm0pzJsH///gipQ7DxZ5kK3MTkv9Zk1apVRs9Ca+t0mfsSGDV5Mr76ZhRaZMuIUUkS"
//		+ "YoFXIKbEjYlO6VNhbY2qWLTpL3w9ZzZqMczdfKa5sZQn7GXWjRcTrT4bgPqMqRUSkaF/Ce0h"
//		+ "xu8yIhrSXvm3nG5Mtnc/RjOydRyLoXnJi7iRo26pd+zGrxEw+uOIwy0au6Z8GZyn5XbR2Q4Z"
//		+ "PRKnhPCSuTNnoj9NAabdvIvsFj1QMd49x3mbFSO/wgomIlYJPQHxOCvK5OeObBw73riNX+k8"
//		+ "FFlETEg+GTsGPZP7cpTD+sj4uGiBmMWUQF2YyiQsRWZkOlauAgwaii/pvbmKcbjmHzuJj+ct"
//		+ "Qr+atTCEtkLOSCwacD+y0Rbz7eUuTpgiufmiSPWdyjPOHziIEhbPY8tGinNVWb9r2L1jh+Wq"
//		+ "KPM72BThcL7QmjZtiu+//96Yqy5BggRGW5fjTMYpRu8SrkHF8wj0YGiNJm3agCNJRnub5HxY"
//		+ "9Ga6BlF+TEqPvOD7tWyF7UeOohA9gLw5NXclcSLsSpIYFdq3Q1fuIzxFbKy2Mur14idipWHb"
//		+ "w3E4A6M2o0t4RU47yvXqLuJDd22ZAnFGJKq+LccBZ7YPSRl5QK7gtOCZwBg2PT1FmZ1x/zF6"
//		+ "04W+Zu3aHmEjExIG4VX2GAP9Fr51h4ezb+ydi0qt/9lz4VWtcDlO6dKl8c1vv6JOnbpoy7At"
//		+ "HzApu/gJXufnj+RJ4F+wAE4sXhSmtrySq1Qcb5bQYb6e8Ry8fo6I+XkpXuPb7gegKAOhJmXY"
//		+ "FInZZU/yMMbfjn9OoJLB9rNItv/bNxEK0RM/soq8J5KwQyhOT45EOpgH2dGMqhJMwSpQoIDR"
//		+ "4FbCNFy4cMFojyXxsMTuSm4Yd7R1iaonL6TtlrAbH3/8sc3NxLZq2q+/4NixYxCFOoAJlPMx"
//		+ "gXKHDz+MkJFLDi0jH+23LEeuLBvgzRv9fdpmiZdPMUZAdhfJR26rUqZAneu37FbpJO1wEmbI"
//		+ "EG7KoRhcZ79zHxJN356k5fpUfJiK/WW+fPnsFdV1Ngg8ZlgbuT6dkfhOePw6sx93KvNhkSJY"
//		+ "e2A/1tGmd/mmzQigPW+y9zKgLFPAlC9fPszd+WcxPMr4mHFRj0GUrYmMsmx+FojW06ajdpMm"
//		+ "Rucua+VkWePOnTFi/QYUOHcZEhfQmuzmvbye4TX60YYusop0BB9ab36wJksHUzqaUVWCKVgC"
//		+ "Ig4DR4p7sLUwDVEVVFRpt4xmycvUHV6oMoLly16vM5KY5SRGmzuJKHvTsmfFH8wzVtFiGs68"
//		+ "nm28Y+MzOiOEV+dFevVpHj4yr4LN7xK3S8qrvCUgThe06TBG8ZYpcMlyISPB1jz+knFa/Bpd"
//		+ "163MvL/dIb8954voPu+9yCgp2Ulr3a4dIJ9wFAmR8vfPKzH/RfDsFObVEFODcsz7uGXzZjSn"
//		+ "w4wtyZs3L1qP+Q6p69TBUY795rC4p1fzJI/LlAG/clrYkae1rWN4wvKEDCSdgB3Ck2cvBjMv"
//		+ "sKz/bsY6rEXzkKgqwWyw5OHhTJiGqApM2x1+BCTm2q24cZw64G2WM4/X5tRGYVxIQp4Mmz4N"
//		+ "H9NhfamVN6zYttWibVvbz/+HunXrhnFt3u5eggE+jB3z7QI73wKoQEh5ldcE1tAOtWGRolhW"
//		+ "vyGut2yDs81bYUzVj9GGNj4y4m8pxcuUwcY0KXmm7U8Vr+eTOH/Zspabe9zvy5cvY8zIkaAx"
//		+ "OarkzIVG7GR8PXAgTp8+He5tkQ5XPHq9W4ZHsVaRTOygXeFIrSOpxunyvxgYdViRQuiRLhXG"
//		+ "JvIx2rU2zZAKG+rXwcw/NoQ6ZY6jY7vLeukI1maHcEIyX7vX9RaO5l3I9B6KcBQzqkqwESwN"
//		+ "0xBVLwX3a3eePHkwOkF8BFy7iXg2huSl1mJ4epwhG75geXcTyVEmI0B9GQ/r739PIL//Ddq2"
//		+ "vcBl2rbtZv7GKh3ao5OTRraualvu3LkxmbxgJ3SHHEvCdxyj4trfQ9O1uIqXaT8/Mwjz5+3a"
//		+ "Y03AC6R/cz3SPvDRU2xgqI2MGTMazSvy589v2sQ4EpykfDkMWLAYoxlDyZrIFHHdwBc43ruX"
//		+ "tdUes2zfvn0Y0aIl6jF5/NccNZKgm2J9tnXvQZQePx6LmCz+o1BMnclMigQ3llGhkCj7MrpI"
//		+ "32Kn+Mm1HpMdImdEZndKbdtqNEkw5SJsyftcYkeG1yi0M/UMyzJ1OIq3j4qm74+TcJW5bmUU"
//		+ "0FzWsEM5+r10jFn4izG2pvk6W9+NI46Mb7h55Upco0Iek9HgszMRdmUqtdmzZ7e1mXsvt/Rd"
//		+ "1DANlkT0d0QS+G7kSEM37wR23aOLMVTDD24eUkDCUxw4cMCwcOFCw/Rp0wy//fabgcE9IwSt"
//		+ "hL7o176DYXKMoCE7TG7mpv+fxIxtGNqnT4TU0d0OKq7maRimxN8iVIiJlfzfRbf12vkLGKgM"
//		+ "BKk+UyUZijNUQ6u43gYmTX9zLUt4jo3cplTqNIZ9DGPiyUKbTdFkDBKiwJyJ6fsZtjUD+W3e"
//		+ "vNnpZtIW1NCvXTtD5azZDA0zZzFUZZiEtlWqGO8dZ3dSr/AHhgtmzE31sfw/MqGvgTHhnN2t"
//		+ "lvuPwAQ+d2vw/IxMktwwhyF/foztbWibLr2hzccfG86cOeM0J8bXNHRv0sTQPVUaw3peQyd4"
//		+ "zg7z/4JosQxFkiU3TGfIm9BKRIZpkKjNQaR69eqGRYsWBVlm+sEUOYZmzZqZfnrU/6gcB8uj"
//		+ "TpRFZUUxaVi5sqFs7DiGexYPyjv8/W2ipIYWNWtabKU/HRHgqJqhPGMBLYhuXcn6hvG7sqRO"
//		+ "bZAHn4rBMLhHD8NvfIFYvpgtf38bP5Fh4YIFwZDJdTxp3DhDrXz5DU0zZjK0fy+ToQbjMfVs"
//		+ "2tQgioSnS7tq1YwvRkse5r/lhVm/aDGnYuHt3LbNUIOc1pJ5gNl9LwpcQW8fw2fdujmFbBpf"
//		+ "zCN5TszrYfn9EvdfkUqCpWLs1AG0kEFijDEwuWHmzJkGptozxr2S691ZkRiGpdgxaRvjbefD"
//		+ "/BxJvMP6iRKHWsmKSAXLSyCYj7EdPHjQGKZBPAUyZ85s9GwSY2PzMA0ZaODmadK7d2+jR+Ri"
//		+ "N4yX5Gksw7u+comOZ6TzP2bPobdgAMSgXSK5/+vjjcrt2qIrz60p1ER41y0ijseRMCxnhPzj"
//		+ "O3fhIZPk+iZNgiLVqqFx27YhiogtufF6MCSLYd8BFGO8miQ0Cr7JaZWtqVMgYckS+JLx08Ir"
//		+ "dMS7cJQUSqeYC02SaqdgpgCZlnX19VCb3tUzDv3rMHmxeJH92qoZRjOunDWR9EkyrSTspa6e"
//		+ "wNdaO8yXSXLjAWU/wgKmSXEkPdOlRMfffoH5NKrlNnJ9FypUCKcYJTyjxdSTlA3kdF412i7W"
//		+ "Hj4M3RzE0JJroiPDt5TYtBXtXwZ51RkPe537apMkAQYt/QllypWzrIr+DgcCPzEUz59dumHS"
//		+ "gyc2jyZmIO0yp8cPWzaH6BknO+zDa4QDQyhYsKDN/YfVimA2WBqmIaxQ635DS0DsGnoNGIB2"
//		+ "Xbsa7R7khSoG7V/Qligye+tY4zWbSs+6UaPR5pIf+vLlE5+F/M9ewvqDR5CNSVcP/XPMqGBY"
//		+ "29ZymRjhT166FEeOHMEBesWdZUDGxKlToy+9fsROy5pXnOU+IvK32OWMHzECB35fhVxPniEu"
//		+ "FcTLtBl7lDoV2g35Asw64bLqPaLXZSIrL3vLAyTmgod3bAeMFaZiqxOZRAzbs5K/M5Lx3gNI"
//		+ "eXsK1vSRX+JPeulZU67kGBJ/aQXt4FpMnYaGTCskYYRsiQQ8ncUQEVVLlmQ8psuo438LaVn4"
//		+ "MT+H6OixJkM6dBk5QpUrWwDDYfmGOXPxyQM5I8F87t4cXfLlVrp8FRsYh7NNhw5vlrv7l2AK"
//		+ "llTYFKbB3Suv9YtaBKS3X7Ro0ajVaLPW/rJ8OdpSyeRUKWMrvX0YpWSZVs8D6TJtQGPGqlvM"
//		+ "nGnZmAvOGZGRHulUyceTREYmmtFguvqx41jGGEcxzJSfkxcu433mUfyZo9V1Gjd2SbMSiUcr"
//		+ "LiGp2XGs7fgGFyZmYMuoJHINPQ9q42yz+a+iedlV3CWIpT8VfgkCak/E6aUYA7hKvEZHSePF"
//		+ "2H09o4lLovit9AL9nQFd4zDHbs7SpfBj9epIm1ZULpWIInDhzBmGvLB/vqVu2ekc9AcDZcPT"
//		+ "FayIAq3HVQJKIDgB2jNAgoP+2H+AMbmqrcCVRal0Dfe/jUnDR2DcgvnBdxRJloi3UWumOGlx"
//		+ "5F80NGYiCvpwltQ/N6iEdunXH6nee88lSnmhShWx+dBR1LcyzWSO9U9G8S5iJ5ivednI8l3i"
//		+ "gJ2K45wH3nF6BddheVvCPLhIw+jfM3Z0jQAAIABJREFUEgDUkaS7ew/XON3qjIgSWK5cOePH"
//		+ "mfJaJvwISFfRmajwEljmFZ+FniTBRrDGjBkDGp3ZbEOOHDlQm26TKkpACYQ9gSW0T/hpzFg8"
//		+ "54skL9MXpTCm+7B93ApM4zGN6VlkGjVRokS2C3rwGkn35Hvi5H/KlfWGJOYL+pMr17Fg7Pco"
//		+ "Svuad5Um7DX3WvEzcp08C0lrY00k7s9a34T4LBShCKztz1OWyRRdBrrTr7nwE2O+RbdZ7T/J"
//		+ "J3quHHZd7iUMw2PHupXxGAExGB6AI1FRSeS+lo8E+3S3uH+hPQ/JaJZw8fwVZHCgVJ9lwN70"
//		+ "DPbqSRJMwZJgeRMnTkSrVq2s5oiyN9/tSQ3Xuro/AXqwgR4qxtg38jCJKjFmTGdm3oQJWDVk"
//		+ "GMbffYg/+HKy/lo3lX79XxJHp3vx0mhIHVkVrH2c7il7VTLa2X8TF+H6rw4eMBq/iy3OuwjD"
//		+ "12AwRwXz0T7tD9oHlTU7G684NftTdC8syMao/du3WX1uvsuxPWHbT2jH1H73LqSgPWAhMzam"
//		+ "uh/g9VuFkdXOOkhoLfZpN6k03SfThA7O7+GUydGSHf6oIBLcdBE7WrdOnoQvbfXv8NJPnDkT"
//		+ "GtHBp0qVKh6NoFzTJlh55Bh6PbRt5C5xypbyfH/HFEueJMEUrAl8qIuni3x+/PFHT2qL1jWS"
//		+ "EJCcgrO+/Q7H+SJN8iqQBqkGxE2TGtU6dkQTeoNEBUXrJ9oPDaD3y/kXXkb7olg8t7YfP0FP"
//		+ "vIw/i91JZJU7NJLOxWSzjhQsmXbw5Yie9PjfVcESloUKFzY6BIz73+eYxqjfGZ8+x0vaFJ2I"
//		+ "FRN5OYU454svIs2oQkivHQmyOo82ThWYf7MFX5Tl6RQg+fru8N7d4R0XmzIzCOvcOcjE1EH2"
//		+ "RK7b8s2bYeqIr9A/4HmwoqLMHuFnLgNZ7qeR+ocnThhHc8TmMLI+F+bSsWX18JHof/0m8psp"
//		+ "r8eYqqbWlr/Ra9BA9B40KBgrT1nQmI4KHelsM+Lv7RhssD4C2tcnDoq2aA6ZQfMkCaZgSeW/"
//		+ "+eYbdOrUCY/oAh7VvLQ86eRFxrru5fTWoEaN8emlq/iSD2iT8fI5JljtduAg1i1bjtk/r3C5"
//		+ "G747sRSbK5kW3PWfciV1E4+qpRwFcCSSfuciX/jp06d3VNRj1ydkbru7bKczcpfMZDrFVSLZ"
//		+ "BWau+t04QijhFkQhENaSIH0eR2dunDsHn8S+yE0DavFijCzTOM7wS5MmDXayc7SahuRL6O11"
//		+ "j1kLEiRJgvxUPqfTrESSzTsjHXv2RNsNGzB5+y50ofOGSW7wnA/DS6MHoBjBl6OCcbNjVwxN"
//		+ "lRzpKlbA11REXB2ew3TsiPr/y88/ozUdW+7TpjCemXIl9Xmfv48zUXWN0d8hJUdYmzBbhCeK"
//		+ "6BjTeM3kzJgRT5+/RFN6FL7H8yt+qUd5zhczbEyaRg0w6OuvPa55VhUsaTAjTntcY7TCnk1A"
//		+ "XlIfMnfZP5yCyWbxMMnEG27t4xdotuEPzOMUdptPPvHsxtqpPSMgI8ntO0jDNpukIL//wIfN"
//		+ "ISoM5r1Y03rT//Exo6Fk3TpGT2DTssj2vwCvkV9TpUDta7fsNm0/WaXLlTtE6VXs7tBspSgT"
//		+ "8nn48CH6tGyFOHv2oiKnLcvzPEka7T0LFqEqDd5nr1ltTARttmm4f5X8sswagFhMPZI8efIw"
//		+ "Pb5MSzfji14+oRWxw1pABat9/QbowJhYFf2uIyFnVBpTuRrLLlcbczuvZy/R9oIfJs5biIac"
//		+ "Ppu/dm2YnO/QtuVdtpOO1tyvvsJ5o3L19llgvs9YvN7mc8Swy7ffona9ei4ZqTXff3h9F53j"
//		+ "1KVL+HnZMkziaNZVxlaLHSs2shbIjxYtWqAMc3p6ogRRsMT1eRdHECTXkiPZyozh4j2SysUu"
//		+ "yXJRyUMrKvX8HLGOKutnjPoGq6woV+btn/v0JVr8MAFla9aETEtERpH4TimeBZ0ekQfpJ3yx"
//		+ "9OVLZiYZWTMInenF/F8xYuLKwIFGLOJtd/ToUVy5cgUxaBAs96t8PF2KUcGa+X5u/Hx9E+oa"
//		+ "rFumPacy2ihODMzqFXaKuNgIFmCOtFY3buN/r+QF+HZ6o9SDANRmT7xDufL4jvnYPuTUWXiL"
//		+ "xJuaOXYs9q5dB1+6uMsV9YxefBU51dKuWze3VsLlep3FkWoJfL1j82bMmD4DA06dQRsrU0ji"
//		+ "cdjj2Ss83nsAEzj7MmDYsPBGHSbHE1OJVLduM26XXFu2JTnXZ7l9z+hpLPeGp4pM4zfjdKF8"
//		+ "IosEeTpJD2czL2ZJ5CgRzyWCu7nIg3rFihUoLbF2uN5VUYilh/X5558bA/BJHXx9fY2Gou+/"
//		+ "/z5mz55tXgX9HkkJPH78GGd270YFBw8TmTL86NoNbN++PZKSgPG+ustpPkspwlE96cHXpbHw"
//		+ "j7RB2csRmlP8iPfa0GSJsLVcGZxjLzBBggTG+7hJyVKYWrM2TjRvhf1NmmNI+QroWKMmLrGM"
//		+ "J4s8I76ePQuNmABlitfbKSRTm25SuaoaPw5G/zgxTN3yJ1N5qXHn/n/Klenob/9n5rX63fVb"
//		+ "+LbnJ8bI7W/XhP03eVa3/KgcckycgiUnz2E2vbQW8jP58L84NWgI8mXNajQBCfuahP4IEpRV"
//		+ "IrpX4/soGSPff2ZFuTLf+ydPnmPrTz9BniWRQSRJfOrHzllepqU5j4xSqrgXgSAjWDJ/PYza"
//		+ "/9WrVzFkyBD06NHDaOwuKR3khpXhX9GQxfhdbBFcJXKc64wizXxGRiNIb3qRPHjwAP/SkJQ5"
//		+ "BCE9xS5dujg83AYOK0swOWsiL2RX2mJYO4YuCz0BeZgkp0G7eME5krQcaT1z/ryjYh67XlK9"
//		+ "XGIaoHtUFCyjh+elkrWOI1jrqVQtp5K1lZHLi9evj4qNGmIwwwNIdPY/eR90qlsPvzx+xgB+"
//		+ "Zn2oe4+w+pIfMqzKYBzZkg6Mp4pMz929exeD+Vxotms3Ctx/iHgML3OJIzSnk/iiy4D+aEiH"
//		+ "iLASGR38c+EizOUUlT1j+4Lkn/7iJexnpPziDGUQHuLv748sGTNiKav2OmzC23tKDM/HcBQ4"
//		+ "ATspn3LqZRKnZGS0yJ1FRnIKMwK8I4nLtmUNeIqTnCqMiLQojuoX0vXGkBVOnptHtAWU8iru"
//		+ "RcDqnZWacSmmM9eZfETxOUfDTZlaCKv5e1GMJCJvShqvmkSUIVHmxo8fb1T2nFGwxMPAllG+"
//		+ "2LVI/i8V9yQgw8POxr+R/mlcFxouuxsRyaRQtX07jPxiKL57+DRY9eQl2ZyqaO8Y0fERp3tG"
//		+ "TZnyxoNKXi7N2OPfHfCSNlxmytV/e6nG7bZy+8Echp+5caNxtDjYATxkgXT4xi9caByRO0Fv"
//		+ "soCAABTmM0TSsIT1y0am35IGPHEYSkBQ5vG/iRPHj4ebgrV41ix8FyM2Pqa5hS0ZwinNfrv3"
//		+ "4u+//3Z6lE+UxA2cwbh85CgCmR80U8ECqFi3bphnAZDzGv+pc89uH7Y5soxgyftsFD0wxXPS"
//		+ "UcfzUHxvtPfgDpOt69TTl1tVsEyNkl6ajGaJ++vZs2eNnyT0CnE2DYdpP47+S09606ZNaNKk"
//		+ "SbCiq+hd4GzsLfHmseU9tYw9NVEWVdyTgJzjQCYt9qO3oLlxt7Xa7mc8lBr58llbFWmWdeKo"
//		+ "brP161Hyz7/wJ+MuxKZSZBIDH7g/xIqOdUkT4x+GVTF3T1/Gl+sEjlDYYygR30ucOY81HDFu"
//		+ "zlEMTxaZRpIYVfIJTxGzhthUMpwRKXcvHKetdvz6G0epJFjH22vGWj0rcxRrG68BiXBuTyRk"
//		+ "z4h+/XB26XLUvXIVNbhfafnpNevx+bTpyNegPr62uA7t7S+k68T78J+EzLr59I7DTa8xonxY"
//		+ "DQQ4PLiLC4ipTP7q1TB10jR0fRF8Ktx0uFHRqezyHJoPUJjW6f+IJWBTwZIptXr0ShA7K+lR"
//		+ "m0RcjyXauytl+PDhaNq0Kb7//ntkzpzZaEMi9l/H2esTo/c1dPn1JJEHkiimMoUhxvoyIigv"
//		+ "AhXbBITPx+3bY/LJzzDyvm0bCvEMu/BeBhQpUsT2ziLBGpmuX0KPqNFDh6Ipp6I+4BRJ8gcP"
//		+ "cd87HnYnSoAslSthPw16xR7JXA79tQntbT+L3xQt+fAxltMj09MVrDcNCucv4txzlSOIzowu"
//		+ "XORIW65wVADvMjjv27kA22DScJWElXAkPdu0wc5FS7CTA2LROJZikpz8Uu3GXfSbMw/DeB0O"
//		+ "pU1aWEhhxh8bnzgRHvjfRgI7SuN5qn336CXpzo4cMpCwip2g04cO4ylnVFLw3VCyfj00otel"
//		+ "tcDAvWmq0/TvrUh09F80tZKmaXY0A76LHQN+48cF6WiFxXnQfYacgE0Fa/78+Rg1ahRat24d"
//		+ "8r2GcAtJNCveIjJNKJHkZaRJRjRkWlAM6s176CHcdbgXX8m4JUu/58V+9RqDZL7Cbb4oA+lS"
//		+ "3oC2ZPVoK6Nim0ALPsi7rluH4Ws3YCANVi2HxXdSueqfOjkdLZYHUfpt79Hz1/SngnWTHl8y"
//		+ "PSPehanY4WnE0TuJeG3tvpCOia8TzU7CF9U9NYp1gpT1ItLxzFqiOP48dxGVGMzUljziS39H"
//		+ "8iToUKKErSIuXy4dYjGNdmSR85Bl4sZPYPf44lV+bvVa7H5pvY1yj459/BwdOLq1lzMQHzDS"
//		+ "vatFzEWqduqIQUNHYPz9Rzxi8LoEkHM2+kn+Pmig28bCGvrpp/BbshTNOXKYj22QYYvLpy/g"
//		+ "p30HkI4jhJeZh9FSyZIO+i87d6BLo0b4+8AhlGYokGS0Vb0dzQvb06TCy4L5cZqmPGK37O4i"
//		+ "z6ZTp04Zp3DFrltmwiJb3DLLc2BTwcqQIYNxBMZyg7D6LQ8FZ8JDhNXxXbHf6d99h02jRmPo"
//		+ "7fvIbPYQOHfuEqrta4F/6CX3BeOVqFgnIMa202jj0YcR21ts2IhK1/yRhu7l8pLalyIZLmTO"
//		+ "hCmTfjSOCFrfQ+RcKp0NZ9NhJORoiUSHchTtSII2JjazeYyc5MK2VZ3o+dzmzz+R1O8GxJjd"
//		+ "UmR0KzFf+jMZKkJMK8JLshcqiAP/nERJs2eQtWMfiBsbucuUtrbqzbK1tHHryRAAMnZlTR6w"
//		+ "jfv5Sep3FWPoIDWUz0Bx0nD1i7MLO6j9OKNRZP4C/PTkJSTwrkmOseM1IkUSLBv9DapXr25a"
//		+ "7Fb/h/Xvj7szZmGy0abyLcuMrOVndEZJwrHQ9pUrYxpHrWVq0FzEcWU6n4uS8H0f3yGHGeA2"
//		+ "EUdQ23IUX4z5Xc3a/Niu+C5hl8Z/+SV2MZdnzifP4M1ZKT9ee3c42th64OeowZA7kVW8DBRr"
//		+ "jRMbAxlZEkUrd+7cb4rkY++5+TsEkXuzo3D+0ps5m2RkTMJLhIUsmDsX3du1w/VX0d9EHzc/"
//		+ "zks+hBrEj4v6349BK5ZTsU9AjJZ3cpr6Op0TfPjAyU13bXF6cEXKEzmy9KbkgSWjQuIYIdd1"
//		+ "ZLDdGDV4MDKM+g4NrEwnmBMfldAbWab8iMaNG5sv1u8hJCCezmJDOjd6bFR9GWj0+pR7fS8/"
//		+ "s9OkRM72bdGPo5DhKWK4PqdZc0y+4h9sFNhUj+usX81USbHmwH67tjvNGepjxPY94HipadM3"
//		+ "/yVdzS9UbgpwnUw33okWHSfTpUbMfHkxitNgYaFULmUYhpUTJiKQoz2+TJd0k6YF3pkyonn/"
//		+ "fqhYseKburnTF3Gw6lWuPJZevs6QocE5muo6M24sPBsyED0HDDAt8vj/YuJTl9dQqUNH0fXZ"
//		+ "iyC2pDKlK6OOkgqoZefOYdbWPkw51owexRHhWWpzBEtCMUh4hOwMpGdugxWZc5yF9gyLd+Ky"
//		+ "sd/juA3lSvYr8ZtmMOJuh3Hj0ZD2Zq5SFEJbZ3ffTjxowiLvlDHHJm1FNsyYiXy0aUr+6DHu"
//		+ "MdTBj/GpZNWsgcGjR4fKbV0eJLdv3zYqaxE5XN+obVv0XroMeU+dQ3Ybow57+FJcHD8edlWr"
//		+ "5jaXgST13rZtG6dMTiMmR7Mz8/yX4LRaWHsDviuAXLlyGb2sF9KTsy0Der5kPKJAjsRmK5Df"
//		+ "+NIoW7bsux4ixNuLWcWutm3QfvwPmHg/AN4WL/UzfLF1Y9y0H5YstqtcyYEDA18xKEhwWUnl"
//		+ "aj4/y7iWadhfFxDbv4vXMP/iFWNaHPE+d3Uw4IacKqvfoIGxsyyhfGS0R0Z4rU2XB6+1c0tk"
//		+ "zEHsZ8V7UZTEd31Wb/rjD9ShJ6k95UpqVpOjO11/WhppFCx51vZq1QofHziM9kYj/aDKpYxC"
//		+ "3iOVtsOGIy2nCx05Wzh39tyrlE0FS3r333G4V4KOqtgnICleMt69Z0xuaq+k2L1ku3cfhw8f"
//		+ "RtGiRe0V1XVhRKBL02Z4snoNFjx6+vbFQ8X31Y076D5xMgr9+iu28/zYCvdhWS0JizCHzhkH"
//		+ "N21GQtrcPeLDOVnGjKjZpTPq0kkkvEQUlM0MEnx6zx4k4wjC+6dOYhNffiUtlKxVDMw5IVMG"
//		+ "/Lltq8sCBb9rG2dPnYpf2EEpzpdQ5vsP2KcFNiX1xeS0aTBoxnQU5OilO4t4MA6kvSqNVt2m"
//		+ "mv05XTeVykdzjvZ85H8Lmaj4CddjjBF2hLY7//vuW5SkIuZI0mXPgTM799Fo/u3LUWKwDaZy"
//		+ "dYjXlylXqPl+WnDcLBkXDKSyP5s2lTLF5UoRhxhxHJKPK0UUAhkh+40jKk9pQ+vNuR2xdcrB"
//		+ "kfPWffsgb968oTqc37F/UJo59mxNs5p2KuFXXnFkPbKIvBcfbd/xn3JlvVWi/H/OYLyTqGtE"
//		+ "KQWrJudFJfBnrVq11APO+rXxZqkEyUz5OODNb3tfUj0KgLwMVVxPQFI9LV+yBBvmzMXVSxcR"
//		+ "wysa7YxSoBxHDJvzYb+YjhsHf/kFO57JrPjbF4bURIx1J78wYNSVa/iKQ/RfcQTXkRymY8bn"
//		+ "zJfW5cJlDGbv3dRDPUmbuy4Mfrlx5UrmSJsX5vfPrzzOrIGDUJIu9AXoHSj+lWljxMEnMbyQ"
//		+ "PnYcFOAL7oWXF47ThT1jqZIYwyFzmSJ9wcCcErAzIj1cf+eU/Rja1/z9NPA/D7HXXmoNb93H"
//		+ "+Vv30L5KVfSfNRPVatRwdDp0vQWBTszXWZtTwDJleJ4dARkZLMWp8P5UGJztQJRr3Ai/rFmL"
//		+ "kvQWNImMXi2kamVNuTKVqcI7asuJU8ZRyfLly5sWu/X/vvRiNvy2CkPMbGjFju6vMxeQb/48"
//		+ "7GB6uGIlS4a4DTHoYSnqlTPyzCDDgJFD9rKzV4p5JB1JPnYC75w6bTTXsLQ/c7Stu6+3OYIl"
//		+ "SsNSJl1ctGiR8SFsMqQTY9tx48a5e7vCtX7GiLuxg7rL26rAg9ivI+7KQ28NFYGzzBVnYM8p"
//		+ "FQ24fTJmxGMOq189f8HY68tamGkiaO8WFp45tupnbbl4d26g4nLm4CFjXdPnyonyHKoXp4SI"
//		+ "fDmb11VsBrvRSzPT9l0YRE8jk5PBZaYHmX7kGLJ8MQQF2OP9ldnnLZUr8/0MeP4KTTjVI4Ek"
//		+ "xVPPlojtTX4amB5mLz6XxSiRTM39Rc+qOj//gpmFxqMD7f/CSjYyVtakDh0x/fYDpDYqja8N"
//		+ "aEvTBqs/bYK6eL3A+Y/KoHPfvijNKZVfpk7DUCqFKemJ9JBK1xMmJG5Hu62qVGDC+1yKh9rn"
//		+ "nbtgD5Urk3JqzkmmEOZQ0erVfwAKcBTL1SMW5seKrN/FW6sBp9RCKxWYHWBVuY/QYtkKzGdw"
//		+ "UvHW8+PO5KXoSIpfv4FDfHZ4goIltovxlq/EUI5mmz8fpONVkZ/TvEI7NGqM71evMgayddR2"
//		+ "8/VZPvwAR+LFQbkAGUO0Lac5MpjMzjPH9pbuueYeQxVlpemEeY5OWzVNQns6mZaNMgqW3BR/"
//		+ "0kPGUiIbAMv2hea3OAF8Fy8ueykGu7066Q0dZLn7NIh/Si+5Btdvoidv3mdc3otZ4zPzodWc"
//		+ "n/eMy4AjO/ag14KFqMyo3l8w5lF4i9giDKFy4Lf8Z9RjT6QF6yXjC2e278YMKg8T8uXBcr7g"
//		+ "IzrVhtg/lS38AVoeP4X2RuPut6NTYpw7nMpOAEcYLz156nAa14vli969jwM8H/YUrOmcDpLE"
//		+ "1JbKlfk5WvLkBVr8OAmVOVVoKwCuefmQfr9GQ99B7drjFypXSVlvS4nJZTNYh547d+PvP//C"
//		+ "X7QTGnLtJke4pJWvy187fxmdOW06q3gx/EQPpvA8l7/MnIWxTIocy87LWs5f5QuXsJYBh9vR"
//		+ "u1QlfAlIx3rsvLmofvECWh8/icaMx8aQn06JxKx64AGhQKQztYdxvhY8lFmI4PeRNFaeyUOu"
//		+ "3sCMr7/GRE4jhkTKU0ntmC4NWpw8R29B6/uX/Y32iYuq7SKPA1R82sbd5fXDAU+Hco+dPcmh"
//		+ "GtnEZjdk0qRJRgVLRk/MPxIIVCUoATGELFirJiYw4Js9GcApmxs0gI257GdMvH4bZfhikUuq"
//		+ "ElUz6RHSvNro7u3LmzAVP5W5bNOdh1jIuFrjeWOHt/TikPn96bMwlW7olViX9KyTRAiXes/n"
//		+ "S/05A+D149SbRPyPSNnIlC95r13/T7myXpN6rHOaZ/Z7kKYtfWn4LlNotkRScZzeucthYmqJ"
//		+ "vv4Re/E7duywtat3Wr6BClFzutBbU67Md1zI/wY+H/IFZl+7BYniblKupIxcZ78yrU7CbTuw"
//		+ "mLYn4Skn9u7h9W77hWOqS6Gnz/Hv5i3Gn/fu3TNOef3222/GhN9i6BzZRWxZ/seYgB/nyo2a"
//		+ "WbOhSo6c6NOqNfbu3RsuTRfHprV0QGg8bw7W1auFk0xELp1FR3KDpzYpvdDdXWSEvgzvEWuj"
//		+ "qOZ1L85r9dL+A8Y8uebLHX0XI/zGgwehrW98Y35Ra+V78NVxmt6QDRlLLLJIQeoOOxgD0pGc"
//		+ "5MhdnPRpjY4Rjsp62nqbCpaEZzjK6auIfnl6CtA+Q4didoqk6BpDEpkEf/iMi+mF5Ql9kJIv"
//		+ "7q8YRNMkP/HiqsmX3hdUrqyJvA4PvAC2TZ9h9FayViYslu3btw9nV63GtwG2c4D99pKXz/o/"
//		+ "8Ae9ZCJStjC+SqNbb21ErNUlMRc+cNK+4VaC+MYI/Nb2I8ska30KKpUyfeBI0nHk7HoYJaY+"
//		+ "ScUtnxM52nbxehSDd3NDZct6T2Z6nd/o4Xo+jOpqeTz5HcBcfj7WVlgsk07Ig3t38Q2jWrf4"
//		+ "sAjWN26K063aYVXDJmjK38tpW2dPRCFeyDJdatVGbYaeaVKsOIbS7kuucXeXzew8DK1dByWn"
//		+ "zsRPx8/g5zOX8DNHQj6etwi1SpfBwpkzQ9wE8e4T049xHIWdwSCVuxlbSUaB7YlMH1fnNPLE"
//		+ "5ctRlpHHt1t5xllu/xeN6T8Mhc2S5X7C+ve1Cxcg96kjkWdxKppzhCblWiOGCWg/eRJaZUyL"
//		+ "OTGj4SCf+//yIw4Dn6ROhpgN6+PPPbsRmbz0JczTKwZCnc9o87ZEZn3qxolhDMTtSk9QW8cL"
//		+ "7+XW3+qshbimSh5AGbaTqRKTDVZlBkMbG0YpEcK78a48nkR2PsJ8jf1pD9OGvW2xP0jKMBe3"
//		+ "aVi6PWUyJCtdGu0Zlbfg+Im8TTls+p/8xRtsqA3lylRGRkKq0oD5D6YM6tS9u2lxmP7fwAdp"
//		+ "hxu3qfq9rau1A9ZlmZXz5jsdCNPaPt512bWzZ5DBgbKThevv8GaW+D/2FA3pme9kKprmdjzX"
//		+ "xCsqwMHxTG16zC9xeG2EhTyl4uAoWvc9tsefBy/hoL6iLJblNSu9+YwZM4ZFdYPtM2mK5Lh2"
//		+ "+gLSBlsTdMFltmE7p2x9t2zDEir8b/Iy3nuIx1xXoX0HrKah/wzmGzU9p0x7kBGvrlRQ3j98"
//		+ "FJ04vSXXibxKD+3ahy68bhv37oU+tL9xR5Fz8RFjO53n2Epa3okmkZGWMvz88/QVyvXqbYwT"
//		+ "V8sJb29xahhJB45/f/mNnoU3kJ4K7gMqTvNTp8Tk3DkxnlNfEjXdkbRkRPKR27Yjx6VrDGhr"
//		+ "vZMxl6P1j9/PDUlz4+7izeC8jzhFxUvJoTxie0MbhqVOw4YoRO/xdRx9XbJ9B54yDESqbFnR"
//		+ "iIqrhCSxvHYdVsbNC0h7vqICn4k5gq8zTEO/wLfXsFRdnk0tfOJgwLAhRmc6N29OqKpnU8ES"
//		+ "Y3YJvihTJdJjFyVL4mGFRfC4UNXcDTcS+5Ux9HgS132x4blJbokZrXYQjaElLUDX6jUgL3pz"
//		+ "kRd+Rotl5utN37O+eIX1h4+Yftr9L73R9bSN+pO91Mv0zohGV+PMdDGuwsS+EiPHGblw6DBq"
//		+ "OVGv7CxznhGWI1LixInL1CDydAzK1rxO4vEkU65fUF+c8srAb9bL1uNI4wd1ats1qJY8dM+Z"
//		+ "G82f9kspbOzHdOxDkpg6lO7dpn3Y+p+KMeousd320l7f5Pqk3IH5tKCt/aXmC/fixYu2Vrt8"
//		+ "eTF6Km/YfwhtaSdmT75kAMaid+7jS3p5Wp5jcfPeyQHhHhv/wm9UsOqYBU59xNAEmfncGvz4"
//		+ "KbobpKPw+gEv6m5lblfu7iPkGTES3lSAO3NEy51E7B8nDRqMnRx5TGvjGovP5b88eoZPmMu1"
//		+ "KmOaWealNG+PhCCoR2Ut1e69WMDRytejr2RCn4/mDEi6kd6zVfPnx8K//nKoYBdi56PLpB+R"
//		+ "hlHT97F+5gbvYk86laYSW/LnxbJff/EIpSEXA8Uu5VRW06s3zZEF++7Ptj1JnBBy/4dWxBaz"
//		+ "o3SSw6mjHNp6umo7Cd58nV7zg5nuq+nf21CAYVh86JB0jbMERxMlRP2ePdA2DIOMuqodod2P"
//		+ "TQUrbdq0GDp0KObMmWO07JeeYO3atY1Dy6E9WFTYToY5bQXJ9KKiYzkQL68MmVJ09AIUKydr"
//		+ "U4+WTMWbrjcVqbibtqDuzTtGhU6OeXLPQXxHw/S55T/CNLrGO+otiVLmrEST3l8ESrZiRXF0"
//		+ "/UZkd+DhnIUv2JU5syMf82Ftei6Kx9t6i4I2l0amT3NmMwYbtdccOceV27bB1DOD8QWNtG3J"
//		+ "Ib69zmVIjw8//NBWkXdaXoprGtptAAAgAElEQVSdoFkzZ6MGX5C2JB7beF2a6UTvXLwKvS3S"
//		+ "dNjaryuWN2IQwk4LFyHd4X/oqRW0d2va/wxOLzzkdOxEK8qVqYz8/5LeXy2Hj0AVhpUxBYac"
//		+ "y/ha3XjjvFauzEuL3a0BR/jpxp71zGHDcIseTB8xkb2cK3eYppGpWi9+CtvgYmqN2ERm5n0u"
//		+ "HTp7sfVm0L4uLZXZH57Kk+TtdW/aTwUe5+mFKxjBF/90jrA4ej5UokK3ZcsWjGOQyMD/t3ce"
//		+ "4FFUXRj+Qgsh9N4ihCq9qoCAdARFkd6lCYh0FEQQQRAEQVSQX4o0pffepRcRkCIWeq+hhFAS"
//		+ "Etj/OwsbkmVbyia7m3N4lszO3Llz7zuzM2fuPYXt9KN948PESXAyeTJU4BTiLI6U2VL4TMd1"
//		+ "hb8yyjY+X15su3zNaF9qrU29fJLiTdqcxrW3rbX2uMt6CQnyLfUIcSYQe0IJ4FqCitdnHHhw"
//		+ "NFyIu/TVvJ2W72osNYk3JwnxL+7oEqH6BCMsy1vVqHjwZjNvtLt+9+cFddzsSSdvp6cc6NCJ"
//		+ "ZEkg+5uLjFbNoX1JG4ZMqOOfB3mZvPXGgkX4+sYdo0GzKBEyJSaG6UtoMP/f0uWYOGyYeTUv"
//		+ "fH+pWDG6Jtt/KkuZlziSEp9Sl27oi1/K8WwUy3JLnrCdX6ZLhZE/T0X/HyegU7GX0eelbPia"
//		+ "Ea0H5MiC5gX88fCTPljNWDeO3EDbfvABLlR+HWNoP2BJ8f2DylW3rBnx3cIFkTIhWG5d9NaK"
//		+ "MuBbrSq6WAq1/azK7VQl/ubv9rID53I/p4qKOmm0zVIP5e32+xXLURehTDUDBEdoo0zn/sgH"
//		+ "2uyX86FemnR2DZDFYy0/nROOHTsWfqhNVN66RLB3NG2Q/Hl9+KozhWzk9zH8zn3k+XIk5jdt"
//		+ "jlY0gZDcafEtl+ninvtBsEPNyHUnEJcuSfAEyyJ2tGumTsXn9yQEgXV5m+NayY4eM6aQsl7q"
//		+ "+RYZDZ+1aSNGbPmNIUkWof3KZVh46E8MHDHCoanG5zXF75IogoM4Ivc57wPyuzUXuXf08E6E"
//		+ "wOJF0cGDR1vM+x2b3+WlVEbv6tati0YMpyPXjqcrV8LPqoIlMWo+YYbvQoUKGTnnyZMHgwcP"
//		+ "Nr61xCb4hFRXHSoCS+iuG9EDR97cF3KNLZEHz/zMGSFvjRFFhv170njyWM8+GLB1F7qcvYBq"
//		+ "j0Ixh8P21mQLh7P+nDrNaNhqrYysr8kfwbKc2Xhk20rWhHSpUatNa1tVOX2bjBhW79kD7dP6"
//		+ "GhNDmx9Qpi1KJ/PC+58NMI5QtO3YEQtoUNp26WKUm/MrGi6aj7n7/8AnvL4djTotN+VpfNM/"
//		+ "U78e2vplwxwqCNt4c17Nczk0YxqMfbUUfly10maoB/N2RvW7KIKjpkzGaYbLeD+lNyQFiknE"
//		+ "vuEXTtUs4ra+477FD2lt24FtZdvvcHRPpn/iUuSme/HiRZzr2glNqeR2yJ0DbfhpVzg/vAYP"
//		+ "xAccCcnIALKOSHoa/Ef0/nzMUXdzGyH5Lb3CmObiEfsTfyfNqVRU52+wCT/f0lu2zdadeLtM"
//		+ "WZsKiyNtiWkZuQ4f8vw6IsFJEttU4oVvmsAguyFK5FivMMG6ODc5KvLgFIeo15h4WExKXD21"
//		+ "kbV+SaidJbwHfP1KKQzMmgFL+DveyN/EzGSJ0JbXY5r2bbGKsQvtjexZq1/XJ0wCVqcIK1So"
//		+ "gB18m5eI7iaR7+JyqhI9AsU4KlS0VQv0mzAR33BKQ+yA6vP/7nybnsofdEcLBuWhfCB0Sp0C"
//		+ "Dfv0jhRLSUYT21EJyrt2Az6jTYXoyv9jPR9aqCNia2Uq8r1LV7CRRuxyU7QmEprjpYYNUGPi"
//		+ "T9hsxUSmCT0mQ/lWJ44P8S1iQ+OTgpyGf4WGNLwvyCkL6jw4yZG/dfRm6tixAzoz2KZJxJ4w"
//		+ "psk/5eHyE+3cjhw5gr38bezkKK8vHRkqkOunfEOLrjGsqY2O/BVFbyNfhub++iu+mjYdNzkM"
//		+ "n4ztepLSF5Vo+Dyla1ej3WQ3hpUYuGoNhtBIXOJjRZR1vPa+4gjgaho5S31xLRJN/ssffoDk"
//		+ "9Lx27ZoxFpcEyJSHmcTiO8XzCqY2sie3GKk+LQ2WTRLG34i5fMu+vssro68Vx5LahkS4c/IM"
//		+ "Rvb9GD/Mme3QaKb5MWLje758+fCfjzdba2BrI58v8/qP0CmjgY1RZLFFS8WXMUckFUfEAxJA"
//		+ "6AtLLLJmzYp527YaHT3+OnAAp5gIPrO/Pz6vVCl8oMHSfrpOCVgjYFXBkui/ohDIPHtFutoe"
//		+ "4AUn+Qnlu0r0CXzG4fOB9P6qO3cePqLthBiJf8JbaGMqRzt5H+1o8II/10lwhCN8g1qYKycq"
//		+ "dOmMD82igYvNxaN9f2BAsGg/T2/A4m2V59myrRaKof3Ko3/ZKmLcNoTeot04Pfzu2vX8ewcv"
//		+ "cz+5YGSkZBlDUvjVqIYx06fH20PIvAPvMxBlLXrkSHyo7fsPGKPO5yxWFKPr1IGMwDpDRMmS"
//		+ "N3f5xJeIItKK9kzysSb/mz8Pwzga1HrRYsb8uYHsdEsP4gjJfhr3BnLkahbj3pmCCIs5wGoq"
//		+ "4P/s2MkArfeRjfF5Xqf9pTi+ODrCZ60dttZL3eYBWUvS8Pr71CnxiEqzrThFgbwmTzJhtyRf"
//		+ "NokvpyAvnb1kjN0m62Rq8Hd+FlhRrkz7NaWStZKpjs7Sfd9Z143pWNb+pqOiXuzN2pjN8Axt"
//		+ "bAxwz6MK5luyhM12ylTsFQn46IBcJMOXYjnHnwOHdZkiYr8nOfHko6IEYkrAqoIl3oIyVDx7"
//		+ "9mxj/KW3OD31K9+SbUW3jmljEsr+X33/PQ61a4d1CxZgDQPXSaqchgULIBWnS9b+8y8uM9xD"
//		+ "Mj5sCpR7DYPo2iuKrrns2LAB9a9cp8oT+e32xXd28z2NjkPUySLv92IpjonxATyR9l27du3C"
//		+ "xnnzMZu59wyMJeXHKbl6DIgnqXJcbchcPHzepyEq5KMSicDntJ88y4CVEvfoIr0FZbStFa8t"
//		+ "mRY0GXbPYlyl5SO+xnvnLqAn0+mIkfyF7buxdAVztNFzcs/RI+FG5JEqf/ZF7Jckmfktvv1L"
//		+ "iBdJkGtS3CyVt7dO7kMVmjfDoDHjMNqGt2Fd2si07dwpUtvqtGuLBYw+3pujxSJiLygvCeFh"
//		+ "HmwcvAy9ncT+NL4ULGlaD05Zt+G0VJZj/0FG1sxlM1/AWvPF7CrtZW3ZDcqsQzoq0QdOn0MZ"
//		+ "jnRbk0fksyNTBozXRPTWEOl6JRAlAlYVLKlFbm49evSIUoVa2DEC8mYun+jKlf+O49Unok49"
//		+ "V5Rk5Os/3iQl4rAtkTL5yrxoMG9tH4nRIh8V9yeQO3duyMeSbOLI37xP+uEXhi9IY7yGnj6M"
//		+ "xRGjPB0kFt25i/fpaTeVSeDN01qIPeBE5ihdN3kKigXdQ6b7D3GHU1xjfVPgtcaNMGD48Ggr"
//		+ "430GDUL9zb/hHY5Kznv0VOkztT+I1/IU2gEWr1EVH5rdq5rSm7YTQzfM2bYLLTgKJP6evqYd"
//		+ "rfwVg+Yr3HaPaZUkPE18ikyTLtq9mwFFK2MLPdyqXQ+gHRUgIXV3ZUiHfwrkw4lZMyHl7Em7"
//		+ "AQMwiPx+uXYrkvdsxP3KcMq/DZVZ8SBXiRoBcSSQyPp7OcMTwFyyqTJlRHGa2bzxxhtua5cW"
//		+ "NQJa2hIBqwqWMUAf7TdkFEtc/01Sh9MtmuzZRCP+/vrQ9dXc9FfiPC3hW20FG2+p8gCZnDkD"
//		+ "RnNkTEUJmAjI731Mj56YGa5cmbY8/9voiReuHDyCOdOmvRA36kPmMwxZvQa/0lYqpUnBD7xH"
//		+ "c/IAdPz2O1Ri0OLN+/ZFGmF6XrPtJbELW7VjO8ZSSWtBz8Di9BZMS4P2Gz7J8Q+ntCRX5ySz"
//		+ "KXSpUWzgpjE4b3mOov3BSP/lbt3GWV7/lkR+F3P421nJj1ihPWZYiL2fD8bvdGRoy6nV8uXL"
//		+ "W9rN6eskgPE6jjhu3boVf9Ae7Ta9BVNzyq9MlSr4hNNYjnpiyQtSL0YSz9agAXbQCk9SJpnk"
//		+ "Evu+NFN6lKtY3qgIm9brX8cIiI1bfzrOPN69F1Vp31qaL77ih7onY3qMYZDpmXxxUaXVMZae"
//		+ "VsqLxtIW7zifffaZcaj/YxoGR/wRy3C/O+Yj7M0bsKQ4mMsYUJ4gc2lcfaVTV/RgEEWTiEFs"
//		+ "f9pkSFqYgRbsTMQjsJdvcvj36YmPGZxQRQmYCCxZsgQn2nZA32fTaab15n+v8xr6qGQRLP3z"
//		+ "YPimKYyxNKl3H+wNsXgrMZYb6p0Yibp2xtAYZoEQL0GJpSM5CMWgXabPI96fwhsVYUFeECXw"
//		+ "7vbFi7GJEd/n3H2I/BEUDCnaiaEiZNSuJ+0hIwb23EuFqxK3rSKftxyIlh7hsC65KNHhpzNF"
//		+ "zo1jfzPd0xME0lTgUYb0eOfDLmjdtq3NqUaX7FA8N0qurZL5GY2dI4wDxdfITCQlTq+cWTCF"
//		+ "119E+0CzYvrViQT69u2LlvS2j6lTU3SaaHUES+KqdOUIltjZqLgegRqMytyRnl/vMT+Z37MR"
//		+ "A/E2GsUHhNhltOBDoQOX83Kd/O4loebinNmRr1kT9GVgRRUlEJHAadpNFeTUHnjN2BJj2AMq"
//		+ "OWJjJS9b4vm3kgrW6hDxUvOyuuugkDA0X7ESVxj6JSaRsCWVS1Snq2UErB6dH+SznraDnZq3"
//		+ "wLIII3Wj+AuRiPjrOLJjLjLSc4VjWq26dEUa2jKJw487i4zElV++3Hj+AhhhW0b55HzYsuFy"
//		+ "5/46u+3jR49GdTqNWFKu5NileP18yUDAI7v3wPT164wess5uk9bvOgSsKlgNOJT8Cw2cxV1f"
//		+ "vFBUXIuAGK52GvU1OrbvgOkBgcgeQcmSOFjbOJI1kFGwvWirUZhTJPnKlkEvTgvGhxYfn+TE"
//		+ "Nkje2rdxiuoKUxglY1qdlyu+jtpM82HusRaf7TQdW8IU7KbdzSV6sCXnw0/SeIgRujO99+TY"
//		+ "4mhhW7UytTCyCnacUfH97t5DBhvKlewpyn/Z24H4k44SMVGwnrcieksSUiTw+++Qm04Q68O8"
//		+ "+LsB070YsMKCcmU6ggQj/YpejJNHjkRF2p95gohyHBPnA09gENM+yOjVljlz8UuIuHlaf7mQ"
//		+ "IM+LmbJMvPDdITdjTLno/s8JWFWwJJLwGtovLKSRqHjSmLzFxFVbbbCeA4zPpbf4Rp5u6RK8"
//		+ "z6H9NxnyoTgfdN5s0PmkEvspO+owjtUgeo6Zzl18tjU+ji03wH60jXi4eQvevnwVb/EmKBOq"
//		+ "RxYvRaNhwzCA3pySgNVV5MexY7Fh0mRUvBaAXJwCe8jpm0XMZfhd7lwYM2+uUxVCP4Y3OEmD"
//		+ "dNyXACHW5TaVkRAqfhJGQERstzKQsyOSkaEhpHx8SxMav2f398cvnK7ct3sPJGF5MoZHsSXi"
//		+ "fRf473Gj4bu+cNoilXC2Sd7ObAyCKzkh7UlJJlKXHLWqYNkj5VnbrSpYNWrUMAb5M++uvvWY"
//		+ "E4nf7xU4ZbGYxsNiBHuYf4MlbhGDDg7h+ZMI5wlVxKunDtnkOnQEk42BUp+Pz5ShJ9p7V2+h"
//		+ "7YddEULloFmrVkZMN27cMAYNFaNV8aAVL0979j2xxXdQz57YOWUqVjwMM4ZGMI4T0aSp5ZUA"
//		+ "bGM4DomWvY/nV0aUnSFVaArQhaly2p04+9xI3cKBpnonQdUmjRnl4+lDReygAjgF54gEMPip"
//		+ "3zPFzJHyziwjU33y+Z5KbdaPP3XoUNl4TYlnoSsqWHK9r1q5EuvogHCSoV7AEcnMfMmqyuTX"
//		+ "zRkfLS6C3joE0YMKBQcHw8foyW25U5LfdDs/h2mecTDsCZIuWGh8SZJp2iRJrD56LVema92S"
//		+ "gNWzPJGBB8X999NPHbv5uGXvPaTRovTKlC7/85AexbwbC+jMkPe/E5hoJQp9Wr51/szQA52G"
//		+ "DcerdKeewUjih1euQul7D5CGHmp7UqbAqDSpUa/rh+jEBLjOlHXr1mEto7DvoXIl0f3NRaYY"
//		+ "fucU1sguH2LGlt9eCJFgXj463yWKdb1ePVGGxuqHHxmQ3EI7pnHaeRh9Yq5ECIdQkMr8xTSp"
//		+ "6CsYOXm2eRvEAeN3putpX6qU+aZ4/Z6e5g935WEXZt1A39TAICZAd0VFRZSrPlSikqzfiA70"
//		+ "lizGcyc+gudOX8Csg4eRi/fw00yXYx5aw9Qv/Rs9AjLVfYmzBeI8ZB6PUIIxD6ZtHxM+0WPT"
//		+ "i44SSXB9xWrMY6iMcQXyYQ49CyWbhIpnE3juq2vWT3ljlhAN8uNVUQLuRmDjjJnocfe+zWaL"
//		+ "3dAb5y+hmiRN/mkKFvKBNPD6LXTjfsMv38AMOhB8RYWjP4NzOlOWiRcewxtYUq5Mxy3NraXO"
//		+ "nMOWLVtMq2L9bwc6tfQePgyNmaR6LZWpq3xISJypv/kG/m1qX2x+vRwu0HRADM1NIgbk9T/6"
//		+ "CAPS2I4w1TipF0rTC08UOVcSyUF3gNHsbYkw2EoeZ5jzzxWn21sxyn6GxcswiraYJXmdiL2b"
//		+ "/MvNz2BO+fZnkufOb9eDjMyqxB6BjBkzIlPxYtjN6yOi3OD3QgxQ0p5nYigVqzr8W57nRVI0"
//		+ "fc/7SqMde9Dw9Yq4fVsimql4MgGrCpakDFhFw2B565GpJrkRyadPnz6ezEP75iEELpw+xajd"
//		+ "Vi9vYy/lzfNA8APUuBWIvjRUNVdwxG3/VFgi3Ji/ELPp8OEsOf3XMeOD0V79r9BI/C9G1Xem"
//		+ "dKOX34g1q3Cg50foV74s3i/+MibUrYWs343BlDWrjVOncvyHtD2Zx1HCbg0b0ovwJ/yZLCkK"
//		+ "JQqDJJmOKJJc+ceUyfGgZHFIJHlXE0lxFFK0MFZRgTIXUTBlFKIVPzO5XIyBPj+uUg0fvPNu"
//		+ "lBIim9cbm98lKv+T/QefpcyyXHNvQ2KUOXQU85mJQyV2CXT+/HN8liUDTj277iWe2iBeL79Q"
//		+ "saph5f7ThJdanaN/YzzTpql4NgGrU4RizG4pv5rYpqgoAVcnYJ7Q2FJ7T3OlvNPPsJCGJGL5"
//		+ "IbeD0JMG8c1atHDKCIbvM3umiMe0tJyKK+8xPIKzpRSn8eRjTSQW1Uecji7w5xG0o9KXi4qo"
//		+ "BL0dzYdL5USP8XrKVMibNBlueyfD37S7qtisKdYMHOiSoQBkRGrwjz+iZbVqSM68haaHoiiK"
//		+ "7RnqpDkfkoP5sEzCPiKQseD52XLmPIqvXIH9jNxdpmxZa5jiZP1WvgQ3pwG1F0dHbEm9oPsY"
//		+ "uXAROnTpYquYbosiAfmdjFm0EIWYEHq5V1Lk5PuFhMVpZud8tA99jCbLluPeF1/EmZ1nFLum"
//		+ "xWOBgFUFS6YI5aOiBNyRQHLapV07cxFZ5MFoRSQIYGXjuJX1MrKrhMBId+sOzpw5g3z58lmp"
//		+ "LfqrQzjNJgaxPjbaKrVfZjMz580b/QPFwp4yzfSyvz963wlCH46MMGOlsda0/H8c7cQCaVxd"
//		+ "8v491O/QHi3atsVn9E6MOKUYC02I9Sr82Z+1dKHv0aQpVv39D4pfuoLvDaEYy/6YFK6IB63K"
//		+ "Ph/htsGtWmPM6lXxGnj5EvMl1rZz3Ujb5U5++cL5iN3Q5VgiUJ7OEn8dO4ZZfAnbsGo1GtIp"
//		+ "hT9nmyKJy/MFP4IkVrf1MmOzkjjeKL/9OTNm4DcGub515SrvnkA25s+tw996IzpTiLmASmQC"
//		+ "tudQIpfVb0rAbQiIp9uKFBK0wrrc4l3Q0Qhv6cPCICM3zpCyNWtgkwO/xLX08qtQrZozmuBw"
//		+ "nb8yGXSH4NBnytWLu6Wh8vH340S4xNyBEmfM1ZUrUw+knT9TWWq9aAGOdu2EGilSWVSuTOUL"
//		+ "sZ/NT53FvClTTKvi5W8y7+SwHVjjabPE1yNpkhcDqcZLoz3woBKl/Wsm3e43dgzSO6hopHjy"
//		+ "2Bio1x1wPHjwAJ0YOzBowOcYuecA1py9jHX8DNq+Bzs+6o5XaT4kZgMqkQk4cFuPvIN+UwLu"
//		+ "QKDVBx9gS7EimGzBtsbU/tWcwrqU1LGHTgA9zUyxn0z7x9bfNt27Y1Y+fxwzvhNarnVy0kR4"
//		+ "WLxovMfR2fjrbHR5aDvulYzE1bx0FRvpHelOIq7zr732GtJy9OGdB8F2m16Frvf7N2y0W86Z"
//		+ "BfKXL4e/aHxvT47yZSIfg9aqOJeAeBaeT/fcCcTW0c7y/hOfQXdttS3iNglHUZixMPNt34We"
//		+ "dJgwZQ6RMpIpZPy9EFShA05PmlCEhlpx245YYQJaVgUrAZ3shNRVUYYmr1uLT5gDbyRHsiTJ"
//		+ "r4QKeMDPHioy3bNmgH/TxjiQMxu/2R7Pv8Dt9zJldNqUuUw7DqMdR0na/Ij3nrTTJGILNNrX"
//		+ "G9srlsMspjiJby+24Js3kdWBKan8DHVxgV7I7ii3mCbMkZHN9ORwz0mjmo5yq81gw6uYMutu"
//		+ "hGvG0r5f0suzTvt2ljbpulgkIIFEjzG3o4QtsSX7eddJyul+V8wmYd7uZczD2Zij1oONJgHm"
//		+ "W59+H8NR6zRMdr2ZCclVnhNQBes5i2gtSWTqDRs24Fd66CxmMtl//vlHQ1tEi2Ts7yRBMC8z"
//		+ "9UzW0SPwRaVyeDtfLrQsUgBLmzdCg1kzMGHmTOSv8yaGJ7M+AhDGG2X1ZF5o3LuXU5Wbokxa"
//		+ "fIx2HJtaNEVjtvPDXNnRLncOtC9aECkHD8Q0GjMndXC0LfZJPq/xseXc8M8LPFt66pNn27bt"
//		+ "hZ1cZEUaKtOOxJuX8A0+jGofn5I7d27U++RjdEybkg4bLz7U5eWhHq/frNWrQRyXVJxLQOKk"
//		+ "Nev3CRr4JuPU7YvnQ45+mevL82Wq89Ah4QF7nduqmNW+g9lcmgcG2a2kLjMibF202G65hFTA"
//		+ "qpF7QoIQ3b5OYnDKVRP/h7I0gM55+w5ueXtjZcZ08KZnyajp0yAP+IQiYp8kbzr7V6/BzStX"
//		+ "kCpdWhSvXh3vNm6MnDlzxhsGsa35gHGa5GNJPh8zBpX51nWOQ9wTGeHdO8LojLyFdk2dAp99"
//		+ "PhBNacTpbBE7ju9n/4qgoCBcIUMJlZI9e3anKnZR7VMaBh++QG+7iNMElur4z8cbecqUtrTJ"
//		+ "5dcVY1T7PQsWo/xdeg3akL28Poq+XsFGibjZ1J6egcmofLf5agTeooF+kUdhNMEHzjIw6iqO"
//		+ "0L7yXn18wYj1KnFDoEWbNsZ74Nujv8FXt+7iFd5T5F8or5ed/Ezy98NvP/0PFRjg2B3k8tmz"
//		+ "Rk9he20Vb+Irp07aK5agtquCFc3T/RntZv6cPhNzGcgvJS8so4TRbuP+FUw9f9ForyO5qtxh"
//		+ "CDiaCMJ3O3/+PHo3aozy/55A26B7xikkmdras3ELqn31FWZyaqv866+Hl3elBVFi9vz1F0YN"
//		+ "HoymdGMvRtubVI9CcM0nBc7SlqIho5u3aRe3UyupUqWCfFxR3mzXFov+/he9g6wbtMrIzsrM"
//		+ "GfFLzZqu2AW7bXqzTh20z5sb+//8C2VpzG5JJCdjZ45SLO/UydLmOF/XqkMHVCbvTYwQvnrv"
//		+ "7whjCqjsRQrjExomF2eyd5W4JdC9f38Uoz3f7AkTMPTQYT4j+GhgSBBRyD9nWixLIZDitoWO"
//		+ "H00izjviSCEx75LzfqoSgYAhgUivXr0MzZo1i5XeLl261FA8ha8hhCliQ+Ft8bMISQyta9Yy"
//		+ "MOFwrBzTVSu5evWqjIMblrG/llicI6MaWbMZduzY4apdCG8Xp3sNu3fvNqxfv96wf/9+A407"
//		+ "w7fpwlMCdNU2tKhWzTAzseXr/g7Pd4O06Qy/TJ3q1sj+/PNP43W9GklfuK7Pso8v8/c/b+ZM"
//		+ "t+6jNl4JOEJgcLfuhrUWfgfm9/u5iZIZxgwd6kiVcVqGwdENBw4ciNNjmg6mI1gRlE1HFgkO"
//		+ "S8ZPwK8PHvHd1vLbrdQjaRF2MKaORFqWpLKeKj8MGYIpiZLhrSeW7W0khtTYqwEY0a8fym3f"
//		+ "7tJJTmU6URKxqlgnIDYmP69ejVfpkbafQUYbMwr+SzzH4nN32MuAhblyohZH/WRExZ1FEn3L"
//		+ "CPTn7MfS/06g8M3b8KZb/Rk6T5zMkhGjGCDyHaaoUVECnk6gTssWmLhsGapdvMYnnuX7vIxe"
//		+ "jUufBjNoEqLynIAqWM9ZOLQktkZBnJOWODj2pNzlqzjEaM+eqmDdvXsXR+imPlgiztmQwmSV"
//		+ "ldOmBw8exKvM+6fi3gRkymA/A1xypA8raNR65fRp49TAy5z+GMobrNiSeYLI9P40hpr4999/"
//		+ "jQEhORqNkrQnLFOmDLxpb6kScwKSj09c+yVDSGx5yMpL8Ha+zG2YMxcX/vkb4pfhz2nS2i2a"
//		+ "43UXNVWIOUnn1VCuXDlsadMaH46fiB+CHkSyU5Wjimf2B2l90X7QQBQqVMh5DXHDmlXBiuJJ"
//		+ "EwUrtYP7SDydszduOFja/YqdFePHR6Ecq7P8VhOxR/kCbhojoauCFZGK+y5L1OZ6DBEgH08W"
//		+ "eeib8rB6cj/jsm8StFIC1q5jQnYvemGLD+/95N6oyBHBDrRPypzZkSAZllv8+PFjfNq5M4JW"
//		+ "r0XjqzeMcZrk/e/Ezr0YNX8BstSohp9mz441Zc5yKzxv7QDa0n7D33yDqT+jybUA5A0NM0YY"
//		+ "PM5YXhvpSFGHo9YfdOvmeR2PYY9cQsEaSw8XWwHKJNl0fRcZjpc3rZvMHSfuz9aGS03n5CoD"
//		+ "AKb38zN99ci/1gMcRO5uYgfd+yPvpd+UgBLwJAJyn+9IpbzYvgMYx6CVOZ69nEmIiV9OjEMW"
//		+ "JkAWD9qsWbNGq9st33kHNzZswvoweel7Pssg09jVb95FxcVLMKHAUPT88sto1Z+Qd/qE0+IN"
//		+ "W7fGZo7q/naEMe74HMz7SlmMr10bOXLkSMhorPbdJRQsGQmZQG+L999/H2LjYS6ZMmUyXxVv"
//		+ "31OmTAm/EsXx+6lzjGVie+TmN6Y26esmrrjRASrhF84mS+qQsnmSimkjTrkkFBH7HRpKQ+Kk"
//		+ "SdDT0qVLw8/Dle2Ecm61n9EjEMZ0U7V5P2xx6C+0DRMfguf3T/HE/jD0CQO8JsFHVMCmcPo5"
//		+ "PfOJRkW2bNmCR3v3PSXZcRUAACAASURBVFOuLO+5MywRPvx5OnYzJpi7hEmw3JP4WZuHEd3z"
//		+ "dO0aPwd3w6O6hII1fvx4PGGSWPn8yMz20ZVdu3aB3l8Wd5eHnbjkx4a0+fhjjOQPecrl68gQ"
//		+ "4SYRse7/JUuElBXKoxgDSHqqyA0wL20a1p2Zi7qG5zdL8/7+RxXsTPYsRtsV822e9v3+/fsY"
//		+ "/sknOLluA8rduo0MTJB6giEXZqVPiyLv1MMXjLsVW7Ym7sJObGJu3boFYZMxY0akSJHCXZqe"
//		+ "oNsp5+0mI/dLjjl5yRXbu5jI1q1bUYC2mE+VK8s1NeSEYcDfx0EPTXTt3dtyIStr1zPY80d0"
//		+ "uog4cmWpaMPL17B+3jxVsCzB0XWxSsAlFCzp0ahRo9CZc+eSsVtGiaIjMlKQK1cui7vGZlwh"
//		+ "8TT74PtxyEqD3gMM6Vc8wlC0GPz96JMMB8qWxvxff0GiRM+HqS02zM1XdhvyBd7l26b39Vuo"
//		+ "HoGDqVtXyaMoQ+ztYqZ5T8+2LtMfFWhM2+jiFcx+9PjZFDIVzzv30P1OEFr8+D9U+e03bKRn"
//		+ "aUwfVia+rv534YIFWD5xIh5cuGS0XbzB4Jd5aCTeltHHxVhcxfUIiDH/L9OnY920aQBtJ705"
//		+ "2HQ7aRIUq/IGOvDlMn/+/NFq9E5mI6jPaN/2FKA3GYtu8NJlUVawztHxIr+VF96IDc7HMnNl"
//		+ "iktFCTiZgMsoWKJUzabxYUxEvJeseTBt27YNjNkUk+oj7VuvUSP8xoflt8OG4wmnOP0YPfle"
//		+ "4kQ4n8IHlZs1xUzeiBLCSIUMGa/a9zteo2LxWagBNR8GGwONynvk3sReWOCfCyvHfIMKCcB7"
//		+ "56tPP0VZKhIDjPlOI4/oiSPAfK7/8sRpLOebdtOOHSNdT5745ZsBA3Bm6jR8FnAbBZ4p32K7"
//		+ "uOPkWZSdP88YFLO6pm9xqVMvo1ZdmzRBtq078E3gPeR8prA84nlbc/IMCkyebEwHJnaxUZVr"
//		+ "p06zPvsiZW5E4179NF66/frll+lF+yEVJeBsAi6jYJl3tBMjJI/hdErq1I767JnX4PzvVZlS"
//		+ "o0qVKpBI5teY806mPvIygWdsTUU6vwexcwQZNTx68iQWc9j9m5WrEEAWqRlTqgTzn41u2RKS"
//		+ "zNjT5Qa9Rf9cvoJKVGTbEvN+93v4CM2YQqMOH2KufG2bt/vixYvYyCjhp/cfENtW+FGhrsGI"
//		+ "5/7+/uZFjd/H0Vh5+bjvsTVEfLiej+KKY8gb/JxHMrR+vy18ly+DuIGrxD8BUa46MSWU//pN"
//		+ "6B8cxgY9V0KScbk+T+Vejth/8s67+G7tGuO9LiqtTpEqJV367YuU8YnGdGQuRq4/sXc/skVo"
//		+ "t6WjnaCymLtYUUubdJ0SiFUCz+98sVptzCubNWsWGEk75hU5uQZ5ExIFQ8IPFGXwxYSmXJnw"
//		+ "io1GF6YPmraBsZEOH8Kv27dBvE4SgnIlDP5iup1SQfdpovv8oWRiE/Fvcm4vdv+hsXzE9a68"
//		+ "/NN336FnlaoI6d4LVSdPQ7VJ05Co98f4sPIbEEXKXORlY+v0GVgX8jTls/l2+S4PwZGcVp5K"
//		+ "928V1yBw5MgR3Nu9F/2CjUOwFhtVhspyu9PnMINT/lGVQpUr40/vpHZ3O0gFqGA0po9rtmiB"
//		+ "xVky2q1/EvPF1oqD3KJ2G6IFPJ6AyypYHk9eO+hRBCToaupgRzJ2AalDQowJnd0BwPjRo7Fj"
//		+ "yJeYceo8OlJhqswHbEV+3mdi7EWM7Hzo69H4ZsiQSF3Zu3cvKgTcgiiTtuQV1nOb2Q5EIVOJ"
//		+ "GoGAgAD8wpfQT9u3R7f3GmBIr17GwK9iPxVd2UUvvLpXrvGs2T5vNR8bsH/jpigf5k3mRVyb"
//		+ "yw9il2lNHnPbgDS+eKdDe2tFrK6XGQXvN2ujdhIZNbUsFbktfdU31MDdMh5dG8sEXFbBkpAN"
//		+ "nmQILMPv8hCWGC+2Yn7F8vnV6uKIgMRHu5HSMe+4a7TTk/KuLjIq9yunM6cE3oePhYeuKFCT"
//		+ "mfT5EN3e/2DGApNcu3wZfnfECs++5Ah7guvXr9svqCXCCYg3XgeOKN7s2h31pv+KTstWofz3"
//		+ "E7G6TVvU5nSreP1FR66dPIUcj60rJ6Y65VpISYeOqIqEdWkzfBjaZUhtUcl6SOWqvHcidKHj"
//		+ "THSyX8hswjc/T0WGGtXRnMfYRu/lS6zzAj+/cblrtoyoQsVt8ty5UW26lncSAQlns2nTJmzY"
//		+ "sMFo2yeRBDxJXNYGa9KkSR7BWS6YxQsXYsVPPyHw/AX48uZ0m8bwJatWQVu6IUfHWNQjwHhY"
//		+ "JyR33cjUKRHE0B2pLCgjpu7e4s3+ZOpUbhG+Yw09AD++yfTNxljbph5E/ivG+y3oNblmzhy8"
//		+ "8sorxo0pGJbifhLeWoyxjiKXN/92n16FGrbBnIr175K2R0ZqjtEW6qnjwNN35MLcpfr121jE"
//		+ "kcMWVathxvp1kNyaUZEUadMY0544ss99vjBGRxrQ81pCdXTr3gOlL15GscC7xtQrJ1Mkx5Zs"
//		+ "WdC+S2e052hcdEUcixbQVlBiYm2kIjXjn3+epcophjacQoyO4hbdtuh+1gnIdfz9gM9wh+GT"
//		+ "Xr73gKmkDZif0hfB/rnR99uxxriB1vd2ny0uq2C5D0LbLf2k4wd4vGIVBjBZrMmTSjxy1p+a"
//		+ "gUL0yPnzwAGUZBBKFfcmIF6wb3fpgm6DvsDMe5ZtB8WD7pWkBgzp2cMtctn9t2cv6nMaz56U"
//		+ "oJI1Z9/zESzx5J3Ch2W7C7a9dm+Tx3WO+knOPxX7BGRkajAdA3aHK1cv7tOISdevHT6KybSb"
//		+ "ExvIqEhRhp/Zz1A3b96+a3O3vzkalJXOPNGVylQQS+zaCfHsPk27r0fsVw7msJvA9bEVEVyU"
//		+ "UPmouB4BCSz+Ib2HB5y7jGoR7y+37uKP85eM4Vu2c5S20htvuF7jo9gi+3fPKFaoxZ8TGEa3"
//		+ "/eSLlmDMzcBw5Uq2ikdOPd4ID/NG2af+e/ib8VtU3J9Alx49kL7Bu3g1eSJco/IQUa7we4e0"
//		+ "KdF34EC0++CDiJtcdvkRbcW8HWhdMpYJYVmTlChRAg8Lv4z1fBDbkr7Jk6J227ZImtS+4bOt"
//		+ "ehLKNkmW/tK5CxDbNVvShkbq25h3TyKnR0Uq0wj9sL8fjto5bz1TJkc9jjTFRGR07R2mtek1"
//		+ "aBD60dGhZatWMVKuJGPC74wvJ0mejx8/DslJqOJ6BCTgcJ3yFTDOXLl61lS5to/zCfltp844"
//		+ "deqU63Ugii2y/UuNYmVa/DkBY6qUBQsxiNnHrUlhXkyfcnpl6qjR1oroejciIDYg4xmBuseE"
//		+ "8fioZBF8mDsHBuXIgi7+OdCjdDG8+cN36BHFUYX47H62vHlwzkxRtNSe8yyTzT93+CaZphnE"
//		+ "1FcjcmXHTgsPawPL92Omg7MF86ELk/uqOEbgOKdVily3nzxepqgzPngICa0RFZFgzP2YSeOj"
//		+ "LBkgo1TmIiPv3Xy9UeDtt/Begwbmm+Pluxj7f84Xm9ZlymJxg0bY3KQ5RtR+E604TSrThI6I"
//		+ "eKtLjMTo2q45cgwt85TAqpUr0Z45KIvaeEnw5/XblJ6qi3gvdXfRKUInncGdO3ei2tXrHKOy"
//		+ "7ZFTmSlmvt+9G5JhXm1RnHQy4rjath06oBWdNOQNzJSLUOKjuVvg2coNG2L16nWocOO2TYJz"
//		+ "0qZCZdrWRBQJz7Gcaau6cIR21ekzeIXeaan5W7jCiOCSozN7rRrY8MMPSCK2WioOEXhERSCV"
//		+ "g7ZPyXnbiY5HocQkm7VzB/o0aYpitJEqcSOADg7ABaYZ25w1M8q2aIb+LpIoWe6ZLatXR0Om"
//		+ "1hlEZwmxBzTJsbMXUbJaNaxbsQK1mdvQkuzZswezx32HU38eRBoOOItbRi6G2mnWq6cxvqGl"
//		+ "fXRdzAj8uW49mt27z0psj+1U5PlcKp6qLnKtRbfXeneLLjk7+13lwzUfo5rDhoGwVCFxkzLT"
//		+ "c0c8qXLnzi2rVDyAgCgOBQsWdOue1KpVC8vKvYp+q9di9BPLN8TPvB5jpa8PRr777gt9FWPm"
//		+ "2Zs3GadujtLW8Czz2mWkvdUARvUvUqTIC+V1hW0Cfv7+OEgbKdixkQrjSNPFJImRPXt22xVa"
//		+ "2SrK8RzGsZMpt785LfkwKAjZmR7nW04hWktFZqUqp60WT+zmHKnq9Ne/eJfmFhGDospBi/AB"
//		+ "fplTTT169ESmHDleMJpeQqeMuf0HoBtnEMrzHiwBcEX2nzqHhuvW4fMRX6FLnz7Gdfpf7BG4"
//		+ "zedcxmesbdUqPtZ3btt+sbO1v6tsUwXLSWfChzYGoqc7Ivf52/akkBSO9FnLuD4ByR35w7y5"
//		+ "eI1v9b1u3EQPGu/neXZzlKnDRalS4MorZXBk1UqrRvve3t4Q2x75qMSMgORA/YnTd4G3A5HG"
//		+ "xkNqGXXhwjQQjm5OV2ml7Fudo0PycUWR0Sc/pt55qlxZbmEmMurCkaxfv/sepWfNDC+0jgpU"
//		+ "Q2aYuEEFLK3ZSEpZfv+P2QdqDxmK9NmyoUnz5uH76ULMCaTLkhkBvHfksnH9ylEkY2VaeZlw"
//		+ "c7H8WurmnXKF5hemoe9hDqnbE4nT8iRDemTJksVeUd2uBOKcgExb76ereznaj31ZuRzezJ0d"
//		+ "dfyz4/PXX0Wm0SPx04rlCTZ7QVyfDElm37BvX1TzSYwQ3jcsyW7aTjV/8ggf0pnCk+UPGrNX"
//		+ "47SzPanIB/mxvXvCi4nx+89Dv6SNWVIqV09HrcI3PluQ+G7zg4Ixe9Qot8gmYt5+V/5ehum1"
//		+ "dqTytdvEbUkSoXTNGnbLuXoBHcFy0hkSW4aJuXNh39UbeNXsLSniIT9JkQx1aLOjyUcjUtFl"
//		+ "VyIgo1Ct2rUzflypXQmxLe8zSfhdemK9N+Zb9L9xC2WpDEhsvetUuDYnS4LFnMo7sWyp1RyR"
//		+ "nsLs1gXxprSsIEXso9hlpY5gr//ff/8h7ZWryG/jniz7Z+V+eZmk/PDhw3jttdciVqnLMSDw"
//		+ "FqP5d+CIYpmDR1DJyjk4zpeE3smS4nfec9xddATLSWdQpvwGTPwRH2fLhCMWPHIkJlJXelIF"
//		+ "lSyOtrxpqigBJaAEHCHQvV8/DF2+FOvbtUarIgVQJ29OdC9bAlcGfIIfGWA0IeT/TM0R/ztW"
//		+ "RvEiMhSP1aAIepikZfKjh6Uj4kfbM/EuVIk9AjIKO3LObMa/CsVSvBhK4yCfle+m8sFKRne3"
//		+ "lkg+9lrj/Jp0BMuJjEuVKoU5u3fhw/r1UfrSVZQNuImUfDO6mDQxNufIjpzMmzWBSVPdzbvM"
//		+ "ici0aiWgBBwgIPZY8kmoUrpSJWzO8jPqXhNrHevyOxWsfKVKhheQ0diHdABwRB4wPpu8KJ8+"
//		+ "fRrr6Y148vd9eMzYYjmLFkENOnVI9gaVqBMQ558LHIEc2as3Fu4/gJfvP0ASeseeZiT3xwwN"
//		+ "M+frkeFZIaJeu2vtoQqWk8+HeAYuZhiGHTt24BjztT1kQLzMdNkfQKNf9aRyMnytXgkoAY8k"
//		+ "IE4T0wsVwKprO/G2FU9tyW3YwicJZnfvHs5AUpN97ZOcYyeGSGEdwgtEWDhEW6FEvHdP7foR"
//		+ "6jDCeOOwxzSLB84sXoYhP01GiaaNMWTcOJc27xCbs93sw5Zly3CZ06PJqGAWoGJemwpifk4n"
//		+ "x5dIXsofFy00KloSzkZSyjXjOmmTJ5nLqIIVB1eYGArXrs0s7/yoKAEloASUQMwIyEjUyBkz"
//		+ "jKFtJnEKsL0h8qjUVSpQjRlxftDwL1GJo10mSZ8+PYrXrYPpP01FRxu5Mn9M9AR3Wfbw9+Mx"
//		+ "LTzZ+VOLmuL0L6h3NQCDJ/+M/ozFNYp5c11RKZA4aP2Zqi1482945/I1eu4x4wI/R5evRpsx"
//		+ "Y/DB4MFo37WrCU28/PXz84N8PFVUwfLUM6v9UgJKQAl4MAGJyXWTsdUGMq1Ka041lQgMgk9Y"
//		+ "KM6nTo1TmTKgz6f90bhZsxcI9B4yBC05o5D+6D9oYIyhFbnIAi8aWT8JxWucxlpM5Uq8Cs1F"
//		+ "4mYNfxiKnswzu6nxJtSsWdO8SLx+l5GrtxmqI/P+g5gRJu1/bm5djKZP9a/dRoeBn+MJp+Y6"
//		+ "fvRRvLbVkw+uCpYnn13tmxJQAkrAgwnIiNSPC+bjzJkzOHHihDHdzatZs0LsX63FFsyQIQOW"
//		+ "Mo5W67fewrbjJ1Hl8lVk4KjULY567WaS8pvFimA4PQdzjhhtUbmKiLPptQCsmDHT5RSsZUuW"
//		+ "4KV//sNPRuUqYoufLqeggjj5zj10ZCT72swJ6cmjSC/2Pu7WqIIVd6z1SEpACSgBJRDLBBIl"
//		+ "SgRJRSUfR8WHqX/mbdiAffv24Q+mNTvGvI1pGFj0HdonVahQAf1btkJtZtiIOPJjqe5iVFTG"
//		+ "Hj1iaVO8rls/fTo+Crxns/2Ss7LWhcvYuHYt2nfqFK/t9dSDq4LlqWdW+6UElIASUAJWCUg6"
//		+ "K1Gm5GMuISHBDEVqX6RMyKNQ+wXjuMSp/46jMBUoe1KIbV+7dy+gCpY9VNHa/nxiNlq7605K"
//		+ "QAkoASWgBDyLQM7ChXGWU4b25AzL5PTPba9YnG+XB3vE5NfWGiAKooSeUHEOAVWwnMNVa1UC"
//		+ "SkAJKAE3JVCVYQxW5chmt/UzGcqhigVDers7OrlAZsZZdEhBTJyIcb2KOrk1Cbd6VbAS7rnX"
//		+ "nisBJaAElIAFApLqLA0DQTdKan0Ua6jXYyxK4Y1GTZtaqCF+V1VjkuplTMZuSyQW2NwsGVGd"
//		+ "xv4qziGgCpZzuGqtSkAJKAEl4KYEJK7VyJ/+B6/KldAiLROeM4WLBC4N4+cEl79J44szVSvj"
//		+ "GINkWvNWjM+uN23dGgdLlcBXVAKtSX/f5CjTrKkGvLYGKBbWq5F7LEDUKpSAElACSsCzCIgR"
//		+ "/GJ6Gq5ZvRq/0ivv5N//MOL4Y+Rg/K2qHCHqyalBCSLtipIyZUpMXr0KBXPnRvCjx2gVdB8v"
//		+ "0ej9ERt7VEausmZCxobvYcjYsa7YfI9pkypYHnMqtSNKQAkoASUQmwQkBMTb9eoZP7FZb1zU"
//		+ "JUrWSQZLXTR/PsbNm4/L58/DO1lS5CtRAk3atEH16tXjohkJ+hiqYCXo06+dVwJKwBkEJEHw"
//		+ "4l9+waFNm3Hn9m2kz5gRZZmipVHLlsiRI4czDql1KoEXCEi8r9Zt2xo/L2zUFU4noAqW0xHr"
//		+ "AZSAEkhIBDZv3IgJH3VD49Pn0OSxAenY+Rs4js17/0CpL4dh2x/7UKhQoYSERPuqBBIkAVWw"
//		+ "EuRp104rASXgDAIHDhxAjVq1cArJjDYveBbsURLttg8JQ9GQJ3iHgS2XMXp4kSJFnNEErVMJ"
//		+ "KAEXIaBehC5yIrQZSkAJuDcBSbA7ukdP/MEY4GJQbEleZdLdn+7cxw8DB1rarOuUgBLwIAKq"
//		+ "YHnQydSuKAElEH8Ejh49ivQXLqIklShb8ga33z58FBeZ/05FCSgBzyVg+07guf3WnikBJaAE"
//		+ "YpXABXps5bsT6FCd+YKDIeVVlIAS8FwCqmB57rnVnikBJRCHBCQ4ZRg/joj18I+O7K1llIAS"
//		+ "cAcCqmC5w1nSNioBJeDyBPLkyYPjaVI71M7jyb2RN29eh8pqISWgBNyTgCpY7nnetNVKQAm4"
//		+ "GIHChQvjccEC2MdUKrZkAR7jpfLlkTlzZlvFdJsSUAJuTkAVLDc/gdp8JaAEXIdAz9GjMDB7"
//		+ "ZpxhOhJLsoXKV0tmtOv3zWhLm3WdEog3AqGhoTh+/Dj279+PM2fOMC2Q7ReFeGuoGx1Y42C5"
//		+ "0cnSpioBJeDaBEqVKoUJG9ajbpUq6HkvGBWDQxho1IuBRg3YntIXOwvmxYl58zSau2ufxgTV"
//		+ "OgkvMn3KFKz8aRIyBd5FOn6/yjyMj7JlRcv+/fDOO+8kKB6x2VlVsGKTptalBJRAgicgAUR3"
//		+ "MGTDiiVLMIVR3QNv3kK6LJmZKqcufq5fH+nSSWx3FSXgGgQ+aNwEqX7biv8F3kPmCPHbTp+5"
//		+ "gNcaNsTwr77CR/36uUZj3awVLq9giXYdFhYGb29vN0OrzVUCSiChEsiaNSs6de0KyEdFCbgo"
//		+ "gTHDhiFg7TpMDha/1sgesHn4/WJYIjQfNRrZ8+XDew0auGgvXLdZLmGDJfFg2jC7t2T/rlmz"
//		+ "Jk6ePBlObOHChWjdunX4d11QAkpACSgBJaAEYkYgICAA22f9grnBYVYr8qaS9d2tIMwePRoy"
//		+ "2KESNQIuoWCNGzcO2bJlMxrXlad3TeXKlY3GdlHripZWAkpACSgBJaAEHCHwxx9/4NXbgRAl"
//		+ "ypZI2qfU12/g1KlTtorpNgsEXGKKcM2aNfjzzz/h4+ODL7/8EuLuXLt2bexkQlQVJaAElIAS"
//		+ "UAJKIHYJyAhWFhq1OyJZH4VCyhcoUMCR4lrmGQGXULBEoRLX0EqVKhmb1axZM1y+fBl16tRB"
//		+ "586dHT5Zhw8fxt9//22x/L///ovEiRNb3KYrlYASUAJKQAkkJAKpU6fG9RQ+wN0HdrsdSK/C"
//		+ "VKlS2S2nBSITcIkpwi5duqBx48YYNWpUeOv69OmDhvRg6N27d/g6ewshISEICgqy+JGLyc/P"
//		+ "z14Vul0JKAEloASUgMcTKF68OH5Pn9ZuPwMZYuS8bwrkz5/fblktEJmAS4xg1apVyzi/e/r0"
//		+ "6Uit++KLL/DGG284PPf76quvQj6WJE2aNLh9+7alTbpOCSgBJaAElECCIpArVy7k5PN18sW5"
//		+ "6GTdzh3tkidBzXZtkTx58gTFJzY66xIjWNIRX19fFCtWLLxPnTp1wt27d1GlShV06NAhfL0u"
//		+ "KAEloASUgBJQAjEjkChRIgz6diy+TOmDIYlfzDzwmCNXI1N440nZMujGGSWVqBNwGQXLvOmz"
//		+ "Zs1CcHCw+Wr9rgSUgBJQAkpACcQCgfTp0+PslSsIat4E7+fOjom+yTHX6wnGpfFFszx+eNK1"
//		+ "E5b+thmijKlEnYBLTBFGvdm6hxJQAkpACSgBJRBTAjL1N27mTJw4cQJHjhwxzhzlz5ABLWlu"
//		+ "kz179phWn6D3d1kF6/3339c53wR9acZ/5+WGs375cpzYsxfBDx8ix8sFUYWpTipWrKhvdPF/"
//		+ "erQFSkAJxBIBGaEqWLCg8RNLVWo1JOCyCtakSZP0BCmBeCMwZcIErPt2HN49fwltHz+BmHee"
//		+ "XbsRU2bPxTeFX8ayTZs07Ee8nR09sBJQAkrA9Qm4rILlaugkBMSKZcuwkakFLtLb0SuRF/IW"
//		+ "KoQ327VD7Tff1Ietq52wGLRn1aJFWPf5YEy7cx++xijHT+0PxEm55vXbGHvnd3RjrLYf5sxB"
//		+ "0qRJY3Ak3VUJKAEloAQ8lYAqWA6cWVGuujZshBx7fkfXW3eQlw9dycr0398n8N3mLfixWBEs"
//		+ "27xZH7YOsHT1IhcvXsSYXr2xLFy5erHFfR89wZDftmEdMxDUe/fdFwvoGiWgBJSAEkjwBNQ1"
//		+ "wM4lEBoaivIMyJZ47XoMvnUXRZEIPlSwUvJThsu/8EGcnIpXv44d8eTJEzu16WZXJ7Bx7Vo0"
//		+ "u3HLeH5ttbURFe2VP+k0ti1Guk0JKAElkJAJqIJl5+yvWrkS5a4HYOIT66jmh3khZONmbN++"
//		+ "3U5tutnVCZzY+zsKMe+WPSlEBfvU8f/sFdPtSkAJKAElkEAJWNcaEigQ825vmTsX798JMl/9"
//		+ "wvf6V67jt8WLX1ivK9yLwOOwUDhiVZWYCpZ8VJSAElACSkAJWCKgCpYlKhHWXTx5CnkceJD6"
//		+ "s8ylf/6NsKcuuiOBlzgdfCqx/Z/FOUY5zpg9mzt2UdusBJSAElACcUDA/pMkDhrhyocQLzEb"
//		+ "aZrCmx7KB24S9SgL5+GuC1Xr1MGanNnoxPBi6oiIfZrGiMfVmjePuEqXlYASUAJKQAmEE1AF"
//		+ "KxyF5YU8HNH4y87DVvaUMnlfKWu5El3rNgQKFy6MIs2aojETnFqT0V6PMd07CVq0bWutiK5X"
//		+ "AkpACSiBBE5AFSw7F0Dd99tgUbbMNkvJaMePmdKjTuPGNsvpRvcg8NmIEcjVtDFqp02BHXiC"
//		+ "QJ7fh/z8y+VvmKPr2BuV8O+ZM0iRIoV7dEhbqQSUgBJQAnFOwPprepw3xTUPWKlSJaxrUB8D"
//		+ "ZszC8PshLxg2h/HB2zWVDxr36Y1ixYq5Zie0VVEiIGkjxs+YgS1btmAtc3T9cOgwHoU+QvaX"
//		+ "XkKlJk3Qs2lTVa6iRFQLKwEloAQSHgFVsBw458PHj0cv5qJruHoN2l2/ibw0zxG7rOOM5r7C"
//		+ "Lwdead8W3T791IGatIg7EahatSrko6IElIASUAJKIKoEVMFygJiXlxe+//lnHDp0CBuZLmf7"
//		+ "0aMA1+UpUwZDGzTQBJkOMNQiSkAJKAEloAQSEgFVsKJwtkuWLAn5qCgBJaAElIASUAJKwBYB"
//		+ "NXK3RUe3KQEloASUgBJQAkogGgRUwYoGNN1FCSgBJaAElIASUAK2COgUoS06uk0JKAEloASU"
//		+ "gBJwmEBQUBDWrFmDgxs24M7Va0iTORNK166NOgzinCZNGofr8YSCqmB5wlnUPigBJaAElIAS"
//		+ "iGcCp06dQv+WLVH6v5Ood+cuMrA9N/nZvmQFKjGG4Opdu+Dn5xfPrYy7w6uCFXes9UhKQAko"
//		+ "ASWgBDySwNWrV5EvXz6sQVLUhFgfPbVAys+lcnfvo/bdILSp/AYmrV+HAgUKeCQD806pDZY5"
//		+ "Ef2uBJSAElACSkAJRInAiN69MRNJnilXL+5aggrXx2cvYtynA17c6KFrVMHy0BOr3VICSkAJ"
//		+ "KAElEBcELl++jAu796IFc53YktpUsm4eOIizZ8/aKuYx21TB8phTqR1RAkrAUwjcvHkTf/31"
//		+ "F8SmJTQ01FO6pf3wUAJynRZ7GOxQ74rdv2+8rh0q7OaF1AbLzU+gNl8JKAHPIXDw4EFM+eor"
//		+ "XDt8BNlDw/CQeTGv+6ZA9VYt0bVPHyRLlsxzOqs98RgC8hKQ1PDEof4ke2LAo0ePHCrr7oVU"
//		+ "wXL3M6jtVwJKwCMI7Nm5E580aoyvrt1EBXgZ/0nHAplQfuDQYXiN6bp2HT6sicY94mx7Vidy"
//		+ "5syJk3wRQECgJXnDhQAAEJhJREFU3Y6dTpUSdVk+IYhOESaEs6x9VAJKwKUJHDt2DBUqVcL0"
//		+ "a7fwOu1URL0ySRouTwh+jLpnL2BA58548sSxkQLT/vpXCTibgHgPPvb3xyHYvjaPcHugX04U"
//		+ "LlzY2U1yifpVwXKJ06CNUAJKICETmDluHFZ6JYV/BMXKnMfQMOD+th2QaUQVJeBKBBJxKrvb"
//		+ "yBFomcoHZzjiakkuc30ZhKLXmG+QOLFtY3hL+7vjOlWw3PGsaZuVgBLwKAJHduxAdcPzUStr"
//		+ "nat26Qr2bt9ubbOuVwLxRqBcuXL4eeUKlPdJjCXUnwKeKVo3+XdFIgN65X0JG9etg5RLKKI2"
//		+ "WAnlTGs/lYAScFkCqR8/YXhG+wpWNhoIHz9z1mX7oQ1L2AQqvvEGdh86hAW0F5y3eTOCAu8i"
//		+ "dZrUKFGlCkZ07IiXX345QQFSBStBnW7trBJQAq5IIMhgeVrFvK1BHA1IkT6d+Wr9rgRchoBE"
//		+ "aR80apTLtCc+G6JThPFJX4+tBJSAEiCBHAULQAyA7cm+TBlRvHx5e8V0uxJQAi5AQBUsFzgJ"
//		+ "2gQloAQSNoH6XbticpaMVLGsj2Qd5NZ92bKgcuXKCRuW9l4JuAkBVbDc5ERpM5WAEvBcAm+/"
//		+ "/TaytGiGVF6heGBBydpG5apPzqyYvma1xsHy3MtAe+ZhBNQGy8NOqHZHCSgB9yQw9NtvkTlH"
//		+ "DrSaNBkVAm7B7/YdPKQ7+6GsmRHIKcTJ439ADm5XUQJKwD0IqILlHudJW6kElEACIPBR375o"
//		+ "0qYN9u7di8sXL8LH1xdt6HlVunRpJEmit+sEcAloFz2IgP5iPehkaleUgBJwfwKZMmVCvXr1"
//		+ "3L8j2gMlkMAJqA1WAr8AtPtKQAkoASWgBJRA7BNQBSv2mWqNSkAJKAEloASUQAIn4GWgJAQG"
//		+ "hxhd9q233kKpUqWi1N3r169DErEmT548Svtp4dgh8ODBA/j4+MDLy36U69g5otZiIiBJhUNC"
//		+ "Qoz8Tev0b9wRePjwIby9vSF53lTiloA8FuXe40sbOJW4JxAcHIxChQoha9asMT746dOnsXHj"
//		+ "xnhxEEkwClZ0z5IkVp09ezbGjh0b3Sp0vxgQaNq0KcaPH4/MmTPHoBbdNToEzpw5g2HDhmHa"
//		+ "tGnR2V33iSGBLl26oHfv3ihYsGAMa9Ldo0rgzp07aNeuHZYuXRrVXbV8LBAYMGAA3n33XbfP"
//		+ "W6ivRrFwMWgVSkAJKAEloASUgBKISEAVrIg0dFkJKAEloASUgBJQArFAQBWsWICoVSgBJaAE"
//		+ "lIASUAJKICIBVbAi0tBlJaAElIASUAJKQAnEAgFVsGIBolahBJSAElACSkAJKIGIBFTBikhD"
//		+ "l5WAElACSkAJKAElEAsENEyDHYiPHj3CvXv3kD59ejsldbMzCEgcsowZM2osIGfAtVNnWFgY"
//		+ "bt++DUndohL3BAICApAmTRokTZo07g+ewI8oMeBu3LiBLFmyJHAS8dP9W7duGWOQSRw4dxZV"
//		+ "sNz57GnblYASUAJKQAkoAZckoFOELnlatFFKQAkoASWgBJSAOxNQBcudz562XQkoASWgBJSA"
//		+ "EnBJAqpgueRp0UYpASWgBJSAElAC7kxAFSx3PnvadiWgBJSAElACSsAlCaiC5ZKnRRulBJSA"
//		+ "ElACSkAJuDMBVbDc+exp25WAElACSkAJKAGXJKAKlkueFm2UElACSkAJKAEl4M4EVMFy57On"
//		+ "bVcCSkAJKAEl4KYEJJixwWBw09bbb7YqWDYYjRw5EsWLF4e/vz9kWcW5BObOnYtq1aqhRIkS"
//		+ "aNWqFf7555/wA+q5CEfh1IW7d+8iV65c2LRpU/hxtm7diooVKxp/B++9954xunv4Rl2IFQK/"
//		+ "//47ypYtiyJFiuDtt9/Waz9WqDpWycWLF9G6dWuULFkSderUwbZt28J31Gs/HEWsL1y4cMF4"
//		+ "rzl9+nR43ZI5okmTJsifPz+KFSuG3bt3h29zy3NB7VHFAoEFCxYYXn/9dcOdO3cMV65cMfCh"
//		+ "b1izZo2FkroqNggIY6alMFy9etVY3bRp0wy1atUyLuu5iA3CjtXRrl07Q9q0aQ0bN2407sB0"
//		+ "IYZs2bIZDh8+bGDaKEPv3r0NUkYl9ggEBwcb8uTJY9izZ4+xUr5oGBo2bGhc1ms/9jhbq6lj"
//		+ "x46GESNGGDf/8ccfxnMRGhpq0GvfGrGYr586daohb968BqaBMpw8eTK8wsaNGxuGDRtmYKoi"
//		+ "w5YtW4zPhAcPHrjtudARrHD9OPLCunXrjKMokgssa9asaN68OZYuXRq5kH6LNQKS+4sPk/Dc"
//		+ "XzKKZXp70XMRa5htVrRs2TIkT54cBQoUCC+3f/9+FCpUyDiSKznxunfvjiVLloRv14WYE+CL"
//		+ "G/Lly4dy5cohMDAQzZo1w6JFi4wV67Ufc772apCcg8mSJTMWS5UqFfiSh8ePH0OvfXvkordd"
//		+ "8vvKvV6ue77MRapErveuXbvCy8sLVapUQc6cObFz5063PReqYEU6vc+/nD9/HnxzD18hSta1"
//		+ "a9fCv+tC7BLInj07KleuHF7p5MmT8dZbbxm/67kIx+K0BUmqzTdHfP3115GOYc5ekt+KEhAS"
//		+ "EhKpnH6JPoFz584Zk8nL9S+Jtflmj2PHjhkrNOev96Hoc7a25/DhwzFlyhQ0atQINWvWxMSJ"
//		+ "EyFJhs3Z67VvjWDU1osyu379+kgvclKDTA/KfSV9+vThFcr1Lvcmdz0XqmCFn8rICzdv3jRm"
//		+ "8zatTZEiBe7fv2/6qn+dSIDDx1i5ciXGjBljPIqeCyfCflZ1586dMXToUKROnTrSwczZ+/j4"
//		+ "GLdz2D5SOf0SfQIygiJv9F26dIHwfvPNNzFq1Chjheb89T4Ufc7W9ty1a5fR0FpGanPkyAGx"
//		+ "9RHja3P2eu1bIxg76815S63C/N69e257LpLEDhrPqyVjxowQg1+TyLKMsqg4l8CkSZPwxRdf"
//		+ "gPPvxuFhOZqeC+cynzdvHk6dOmU8yKpVq0C7Q+zdu9c4bSXsjxw5Et6AoKAg4zRiunTpwtfp"
//		+ "QswIyDSJGLe3aNHCWFH//v2NU7IylaLXfszY2ttbFKl+/foZlapSpUoZXzL8/PyM01J67duj"
//		+ "F7vbza91qd303E2UKJFb3odUwbJyjcjcrwzdm+Ts2bOQH56K8wjMnDkTQ4YMMXqwydukSfRc"
//		+ "mEg4568oTSlTpgQNfY0HuHz5MsSj8+WXXzYquXLtm0R/ByYSsfdXrm+x/TGJ2Lo9fPgQYpeo"
//		+ "176JinP+yrSU2FuJzaeIPMjLlCmDM2fO6LXvHORWa5UXDRmxEq9Oue5F5H7z0ksvIUmSJMZl"
//		+ "085ucx8KN9/XhUgE1q5da2CIBsOlS5cM/LEZaIRqEA8TFecQoKuuwdfX18DheQOHisM/cjQ9"
//		+ "F85hbq3WV199NdyLUDzcMmfObGDYBoMst2nTxvDpp59a21XXR4MA39INGTJkMDBUg3Fv2gQZ"
//		+ "aI9lXNZrPxpAo7hLjRo1DBzFNe4l9yGOzhpu3bplvN712o8izCgWp81hJC/C9u3bG+hIYxAv"
//		+ "Tjp6GPiSZ/Redtf7kMw9q1ggIG6iJpd1GtoZOG1loZSuii0CH3/8sUSbe+FDuzejy66ei9gi"
//		+ "bb+eiAqWlJZQARzhMtA+xVC1alUDR7zsV6IlokRg+fLlBrnPiOt6wYIFDfKgF9H7UJQwRqvw"
//		+ "vn37DHXr1jW+UMtLtYQQMIle+yYSzvlrrmDJYEbRokUNNMcx/hYkVINJ3PFceEnjTcNu+vdF"
//		+ "AjIHLB4l8lGJXwJ6LuKPv9iqyFSi2l457xzIrTggIMDoSWh+FL32zYnE/ndhbO7kIUfRaz/2"
//		+ "WdurURw/xKPWXNztXKiCZX4G9bsSUAJKQAkoASWgBGJIQMM0xBCg7q4ElIASUAJKQAkoAXMC"
//		+ "qmCZE9HvSkAJKAEloASUgBKIIQFVsGIIUHdXAkpACSgBJaAElIA5AVWwzInodyWgBJSAElAC"
//		+ "SkAJxJCAKlgxBKi7KwEloASUgBJQAkrAnIAqWOZE9LsSUAJKQAkoASWgBGJIQBWsGALU3ZWA"
//		+ "ElACSkAJKAElYE5AFSxzIvpdCSgBJaAElIASUAIxJKAKVgwB6u5KQAkoASWgBJSAEjAnoAqW"
//		+ "ORH9rgSUgBJQAkpACSiBGBJQBSuGAHV3JaAElIASUAJKQAmYE1AFy5yIflcCSkAJKAEloASU"
//		+ "QAwJqIIVQ4C6uxJQAkpACSgBJaAEzAmogmVORL8rASWgBJSAElACSiCGBFTBiiFA3V0JKAEl"
//		+ "oASUgBJQAuYEVMEyJ6LflYASUAJKQAkoASUQQwKqYMUQoO6uBJSAElACSkAJKAFzAqpgmRPR"
//		+ "70pACbgFgdDQUIfa6Wg5hyrTQkpACSgBBwmoguUgKC2mBJSA6xCYO3cuypcvb7dBlspt3boV"
//		+ "FStWhL+/P9577z3cvn07vJ6RI0eiePHixm2yrKIElIASiC4BVbCiS073UwJKIM4JiDLUrVs3"
//		+ "9OzZEwaDwerxrZULCAhAixYtMHHiRBw/ftyoSPXt29dYz8KFC7F69Wrs2LEDe/bswfz587F2"
//		+ "7Vqrx9ANSkAJKAFbBFTBskVHtykBJeBSBDZv3owUKVJg5syZL7Tr9ddfNypHssFauf3796NQ"
//		+ "oULGUaqkSZOie/fuWLJkibGudevWoVWrVkiTJg2yZs2K5s2bY+nSpS8cR1coASWgBBwhoAqW"
//		+ "I5S0jBJQAi5BoFGjRhg9ejR8fHxeaE/Dhg2RPXt243pr5c6fP49s2bKF75slSxYEBgYiJCQE"
//		+ "5ttEybp27Vp4WV1QAkpACUSFQJKoFNaySkAJKAFXJdCnTx+7Tbt58yZ8fX3Dy5kUtQcPHsB8"
//		+ "m4yU3b9/P7ysLigBJaAEokJAR7CiQkvLKgEl4NYEMmbMiLt374b3ISgoCMmTJ0e6dOlgvk3K"
//		+ "mUbEwnfQBSWgBJSAgwRUwXIQlBZTAkrA/QnkzJkTZ8+eDe+ILPv5+Rm/y7Zz585Z3Ba+UheU"
//		+ "gBJQAg4SUAXLQVBaTAkoAdcmsGXLFoiXoC2pVq0aTp8+bTSCF7ursWPHQmy3RJo0aYIZM2bg"
//		+ "8uXLRiVs3rx5xjAOturTbUpACSgBawRUwbJGRtcrASXgVgSaNm0K8RK0Jd7e3pgwYQLq16+P"
//		+ "vHnz4sKFCxg4cKBxl9q1a6NMmTIoUqSIMcZWy5YtUbZsWVvV6TYloASUgFUCXowlYz2YjNXd"
//		+ "dIMSUAJKwH0JhIWFQeyvxPbKXMT2ShQx+agoASWgBKJLQBWs6JLT/ZSAElACSkAJKAElYIWA"
//		+ "ThFaAaOrlYASUAJKQAkoASUQXQKqYEWXnO6nBJSAElACSkAJKAErBFTBsgJGVysBJaAElIAS"
//		+ "UAJKILoEVMGKLjndTwkoASWgBJSAElACVgiogmUFjK5WAkpACSgBJaAElEB0CaiCFV1yup8S"
//		+ "UAJKQAkoASWgBKwQUAXLChhdrQSUgBJQAkpACSiB6BJQBSu65HQ/JaAElIASUAJKQAlYIaAK"
//		+ "lhUwuloJKAEloASUgBJQAtEloApWdMnpfkpACSgBJaAElIASsEJAFSwrYHS1ElACSkAJKAEl"
//		+ "oASiS0AVrOiS0/2UgBJQAkpACSgBJWCFgCpYVsDoaiWgBJSAElACSkAJRJeAKljRJaf7KQEl"
//		+ "oASUgBJQAkrACgFVsKyA0dVKQAkoASWgBJSAEoguAVWwoktO91MCSkAJKAEloASUgBUC/we2"
//		+ "qhXw4vz3BAAAAABJRU5ErkJggg==");
//		return img;
//	}
//	
	private static DataTable getTableExample() throws Exception{
		TableLayoutHTML tf = new TableLayoutHTML("%", 3, 2, "YYYY-mm-dd", "HH:MM", "YYYY-mm-dd HH:MM", "en", "US");
		tf.setHeaderText("red", 12, true, false, false, "Arial", "baseline");
		tf.setGroupedheaderText("red", 12, true, false, false, "Arial", "baseline");
		tf.setDoubleText("black", 10, true, false, false, "Arial", "baseline");
		tf.setIntegerText("black", 10, true, false, false, "Arial", "baseline");
		tf.setPercentText("black", 10, true, false, false, "Arial", "baseline");
		tf.setCharacterText("black", 10, true, true, false, "Arial", "baseline");
		tf.setDateText("black", 10, true, false, false, "Arial", "baseline");
		tf.setDatetimeText("black", 10, true, false, false, "Arial", "baseline");
		tf.setLogicalText("black", 10, true, false, false, "Arial", "baseline");
		
		tf.setHeaderPar("center", 1, 1, 1, 1);
		tf.setGroupedheaderPar("center", 1, 1, 1, 1);
		tf.setDoublePar("right", 1, 1, 1, 1);
		tf.setIntegerPar("right", 1, 1, 1, 1);
		tf.setPercentPar("right", 1, 1, 1, 1);
		tf.setCharacterPar("left", 1, 1, 1, 1);
		tf.setDatePar("center", 1, 1, 1, 1);
		tf.setDatetimePar("center", 1, 1, 1, 1);
		tf.setLogicalPar("center", 1, 1, 1, 1);
		
		tf.setHeaderCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "gray");
		tf.setGroupedheaderCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "orange");
		tf.setDoubleCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		tf.setIntegerCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		tf.setPercentCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		tf.setCharacterCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		tf.setDateCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		tf.setDatetimeCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		tf.setLogicalCell("black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "black", "solid", 1, "middle", 1, 1, 1, 1, "#FFFFFF");
		
		DataTable dt = new DataTable(tf);
		double[] SepalLength = { 5.1,4.9,4.7,4.6,5 };
		dt.setData( "Sepal.Length", "Sepal Length", SepalLength );
		double[] SepalWidth = { 5.1,4.9,4.7,4.6,5 };
		dt.setData( "Sepal.Width", "Sepal Width", SepalWidth );
		double[] PetalLength = { 1.4,1.4,1.3,1.5,1.4 };
		dt.setData( "Petal.Length", "Petal Length", PetalLength );
		double[] PetalWidth = { 0.2,0.2,0.2,0.2,0.2 };
		dt.setData( "Petal.Width", "Petal Width", PetalWidth );
		String[] Species = { "setosa","coco","coco","setosa","setosa" };
		dt.setData( "Species", "Species", Species );
		
		dt.setGroupedCols("Measures", 4);
		dt.setGroupedCols("Types", 1);
		int[] colMergeInst = {1,2,0,1,1};
		dt.setMergeInstructions("Species", colMergeInst);
		
		String[] cols = { "yellow","red","blue","#ee006a","gray" };
		dt.setFillColors("Sepal.Length", cols);
		return dt;
	}
	
	private static FlexTable getFT(){
		String[] data = { "1","2","3","4" };
		TextProperties tp = new TextProperties(10, false, false, false,"black", "Arial", "baseline");
		ParProperties pp = new ParProperties("center", 1,1,1,1);
		BorderProperties bp = new BorderProperties("black", "solid", 1);
		CellProperties cp = new CellProperties(bp, bp, bp, bp, "middle", 1, 1, 1, 1, "#FFFFFF");
		
		FlexTable tt = new FlexTable(2,2, data,tp, pp, cp);
		return tt;
	}
	public static void main( String[] args) throws Exception{
		
		HTMLPageContent tt = new HTMLPageContent( "Document title", "ISO-8859-1");
		tt.addJavascript("js/jquery.min.js");
		tt.addJavascript("js/bootstrap.min.js");
		tt.addJavascript("js/raphael-min.js");

		tt.addStylesheet("css/bootstrap.min.css");
		tt.addStylesheet("css/html4r.css");
		tt.addStylesheet("css/highlight.css");




		Title title = new Title( "Hello", 1);

		tt.add(title);
		tt.add(getTableExample());
//
//
//		POT pot = new POT("normal");
//		pot.addPot("Hello", 12, true, false, false, "red", "Arial", "baseline");
//		pot.addText(" World");
//		//tt.add(pot);
//		Title title2 = new Title( "TITLE 2", 1);
//		tt.add(title2);
//		Title title3 = new Title( "TITLE 2.1", 2);
//		tt.add(title3);
//		tt.add(getTableExample());
		tt.add(getFT());
		html4R toto = new html4R("toto", "sdf");
		toto.addNewPage("new page", tt);
		toto.writeDocument("D:/WebDocReports/sd");
	}
}
